# i_two_40_api

ITwo40Api - JavaScript client for i_two_40_api
No descripton provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: v1
- Package version: v1
- Build date: 2020-07-09T11:04:29.989+05:30
- Build package: class io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install i_two_40_api --save
```

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var ITwo40Api = require('i_two_40_api');

var api = new ITwo40Api.BasicsapivApi()

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.getBasicsApi10Userinfo(callback);

```

## Documentation for API Endpoints

All URIs are relative to *https://ytwoformative.rib-software.com:97/external/itwo40/daily/services*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ITwo40Api.BasicsapivApi* | [**getBasicsApi10Userinfo**](docs/BasicsapivApi.md#getBasicsApi10Userinfo) | **GET** /basics/api/1.0/userinfo | Provides user properties available in current principal (user)
*ITwo40Api.BasicsapivApi* | [**getBasicsApi20Languages**](docs/BasicsapivApi.md#getBasicsApi20Languages) | **GET** /basics/api/2.0/languages | This method returns the list of available languages for the system
*ITwo40Api.BasicsapivApi* | [**getBasicsApi20Userinfo**](docs/BasicsapivApi.md#getBasicsApi20Userinfo) | **GET** /basics/api/2.0/userinfo | Provides user properties available in current principal (user)
*ITwo40Api.BasicsapivApi* | [**postBasicsApi20Logon**](docs/BasicsapivApi.md#postBasicsApi20Logon) | **POST** /basics/api/2.0/logon | This method is used for login into the itwo 4.0. If logon is valid it returns an accesstoken for using itwo 4.0 services.            The accesstoken is only valid a certain time.             If logon fails method throws a System.AccessViolationException            After Login you need to get a Client context with selected company and role ids for detail see basics/company/checkcompany api
*ITwo40Api.BasicspublicapivApi* | [**deleteBasicsPublicapiAddress20**](docs/BasicspublicapivApi.md#deleteBasicsPublicapiAddress20) | **DELETE** /basics/publicapi/address/2.0?id&#x3D;{id} | Deletes an item of type address.
*ITwo40Api.BasicspublicapivApi* | [**deleteBasicsPublicapiAddress20id**](docs/BasicspublicapivApi.md#deleteBasicsPublicapiAddress20id) | **DELETE** /basics/publicapi/address/2.0/{id} | Deletes an item of type address.
*ITwo40Api.BasicspublicapivApi* | [**deleteBasicsPublicapiTelephonenumber20**](docs/BasicspublicapivApi.md#deleteBasicsPublicapiTelephonenumber20) | **DELETE** /basics/publicapi/telephonenumber/2.0?id&#x3D;{id} | Deletes an item of type telephone number.
*ITwo40Api.BasicspublicapivApi* | [**deleteBasicsPublicapiTelephonenumber20id**](docs/BasicspublicapivApi.md#deleteBasicsPublicapiTelephonenumber20id) | **DELETE** /basics/publicapi/telephonenumber/2.0/{id} | Deletes an item of type telephone number.
*ITwo40Api.BasicspublicapivApi* | [**getBasicsPublicapiAddress20**](docs/BasicspublicapivApi.md#getBasicsPublicapiAddress20) | **GET** /basics/publicapi/address/2.0 | Returns items of type address as specified by OData arguments.
*ITwo40Api.BasicspublicapivApi* | [**getBasicsPublicapiAddress20Lastchanged**](docs/BasicspublicapivApi.md#getBasicsPublicapiAddress20Lastchanged) | **GET** /basics/publicapi/address/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type address.
*ITwo40Api.BasicspublicapivApi* | [**getBasicsPublicapiAddress20id**](docs/BasicspublicapivApi.md#getBasicsPublicapiAddress20id) | **GET** /basics/publicapi/address/2.0/{id} | Retrieves an item of type address based on its ID.
*ITwo40Api.BasicspublicapivApi* | [**getBasicsPublicapiTelephonenumber20**](docs/BasicspublicapivApi.md#getBasicsPublicapiTelephonenumber20) | **GET** /basics/publicapi/telephonenumber/2.0 | Returns items of type telephone number as specified by OData arguments.
*ITwo40Api.BasicspublicapivApi* | [**getBasicsPublicapiTelephonenumber20Lastchanged**](docs/BasicspublicapivApi.md#getBasicsPublicapiTelephonenumber20Lastchanged) | **GET** /basics/publicapi/telephonenumber/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type telephone number.
*ITwo40Api.BasicspublicapivApi* | [**getBasicsPublicapiTelephonenumber20id**](docs/BasicspublicapivApi.md#getBasicsPublicapiTelephonenumber20id) | **GET** /basics/publicapi/telephonenumber/2.0/{id} | Retrieves an item of type telephone number based on its ID.
*ITwo40Api.BasicspublicapivApi* | [**patchBasicsPublicapiAddress20**](docs/BasicspublicapivApi.md#patchBasicsPublicapiAddress20) | **PATCH** /basics/publicapi/address/2.0 | Patches an existing item of type address.
*ITwo40Api.BasicspublicapivApi* | [**patchBasicsPublicapiAddress20id**](docs/BasicspublicapivApi.md#patchBasicsPublicapiAddress20id) | **PATCH** /basics/publicapi/address/2.0/{id} | Patches an existing item of type address.
*ITwo40Api.BasicspublicapivApi* | [**patchBasicsPublicapiTelephonenumber20**](docs/BasicspublicapivApi.md#patchBasicsPublicapiTelephonenumber20) | **PATCH** /basics/publicapi/telephonenumber/2.0 | Patches an existing item of type telephone number.
*ITwo40Api.BasicspublicapivApi* | [**patchBasicsPublicapiTelephonenumber20id**](docs/BasicspublicapivApi.md#patchBasicsPublicapiTelephonenumber20id) | **PATCH** /basics/publicapi/telephonenumber/2.0/{id} | Patches an existing item of type telephone number.
*ITwo40Api.BasicspublicapivApi* | [**postBasicsPublicapiAddress20**](docs/BasicspublicapivApi.md#postBasicsPublicapiAddress20) | **POST** /basics/publicapi/address/2.0 | Creates a new item of type address.
*ITwo40Api.BasicspublicapivApi* | [**postBasicsPublicapiTelephonenumber20**](docs/BasicspublicapivApi.md#postBasicsPublicapiTelephonenumber20) | **POST** /basics/publicapi/telephonenumber/2.0 | Creates a new item of type telephone number.
*ITwo40Api.BasicspublicapivApi* | [**putBasicsPublicapiAddress20**](docs/BasicspublicapivApi.md#putBasicsPublicapiAddress20) | **PUT** /basics/publicapi/address/2.0 | Updates an existing item of type address.
*ITwo40Api.BasicspublicapivApi* | [**putBasicsPublicapiAddress20id**](docs/BasicspublicapivApi.md#putBasicsPublicapiAddress20id) | **PUT** /basics/publicapi/address/2.0/{id} | Updates an existing item of type address.
*ITwo40Api.BasicspublicapivApi* | [**putBasicsPublicapiTelephonenumber20**](docs/BasicspublicapivApi.md#putBasicsPublicapiTelephonenumber20) | **PUT** /basics/publicapi/telephonenumber/2.0 | Updates an existing item of type telephone number.
*ITwo40Api.BasicspublicapivApi* | [**putBasicsPublicapiTelephonenumber20id**](docs/BasicspublicapivApi.md#putBasicsPublicapiTelephonenumber20id) | **PUT** /basics/publicapi/telephonenumber/2.0/{id} | Updates an existing item of type telephone number.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiBusinesspartner20**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiBusinesspartner20) | **DELETE** /businesspartner/publicapi/businesspartner/2.0?id&#x3D;{id} | Deletes an item of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiBusinesspartner20id**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiBusinesspartner20id) | **DELETE** /businesspartner/publicapi/businesspartner/2.0/{id} | Deletes an item of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiContact20id**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiContact20id) | **DELETE** /businesspartner/publicapi/contact/2.0/{id} | Deletes an item of type contact.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiCustomer20**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiCustomer20) | **DELETE** /businesspartner/publicapi/customer/2.0?id&#x3D;{id} | Deletes an item of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiCustomer20id**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiCustomer20id) | **DELETE** /businesspartner/publicapi/customer/2.0/{id} | Deletes an item of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiSubsidiary20**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiSubsidiary20) | **DELETE** /businesspartner/publicapi/subsidiary/2.0?id&#x3D;{id} | Deletes an item of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiSubsidiary20id**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiSubsidiary20id) | **DELETE** /businesspartner/publicapi/subsidiary/2.0/{id} | Deletes an item of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiSupplier20**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiSupplier20) | **DELETE** /businesspartner/publicapi/supplier/2.0?id&#x3D;{id} | Deletes an item of type supplier.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**deleteBusinesspartnerPublicapiSupplier20id**](docs/BusinesspartnerpublicapivApi.md#deleteBusinesspartnerPublicapiSupplier20id) | **DELETE** /businesspartner/publicapi/supplier/2.0/{id} | Deletes an item of type supplier.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiBusinesspartner20**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiBusinesspartner20) | **GET** /businesspartner/publicapi/businesspartner/2.0 | Returns items of type business partner as specified by OData arguments.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiBusinesspartner20Lastchanged**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiBusinesspartner20Lastchanged) | **GET** /businesspartner/publicapi/businesspartner/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiBusinesspartner20id**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiBusinesspartner20id) | **GET** /businesspartner/publicapi/businesspartner/2.0/{id} | Retrieves an item of type business partner based on its ID.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiContact20Lastchanged**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiContact20Lastchanged) | **GET** /businesspartner/publicapi/contact/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type contact.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiContact20id**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiContact20id) | **GET** /businesspartner/publicapi/contact/2.0/{id} | Retrieves an item of type contact based on its ID.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiCustomer20**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiCustomer20) | **GET** /businesspartner/publicapi/customer/2.0 | Returns items of type customer as specified by OData arguments.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiCustomer20Lastchanged**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiCustomer20Lastchanged) | **GET** /businesspartner/publicapi/customer/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiCustomer20id**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiCustomer20id) | **GET** /businesspartner/publicapi/customer/2.0/{id} | Retrieves an item of type customer based on its ID.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiSubsidiary20**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiSubsidiary20) | **GET** /businesspartner/publicapi/subsidiary/2.0 | Returns items of type subsidiary as specified by OData arguments.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiSubsidiary20Lastchanged**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiSubsidiary20Lastchanged) | **GET** /businesspartner/publicapi/subsidiary/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiSubsidiary20id**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiSubsidiary20id) | **GET** /businesspartner/publicapi/subsidiary/2.0/{id} | Retrieves an item of type subsidiary based on its ID.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiSupplier20**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiSupplier20) | **GET** /businesspartner/publicapi/supplier/2.0 | Returns items of type supplier as specified by OData arguments.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiSupplier20Lastchanged**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiSupplier20Lastchanged) | **GET** /businesspartner/publicapi/supplier/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type supplier.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**getBusinesspartnerPublicapiSupplier20id**](docs/BusinesspartnerpublicapivApi.md#getBusinesspartnerPublicapiSupplier20id) | **GET** /businesspartner/publicapi/supplier/2.0/{id} | Retrieves an item of type supplier based on its ID.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiBusinesspartner20**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiBusinesspartner20) | **PATCH** /businesspartner/publicapi/businesspartner/2.0 | Patches an existing item of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiBusinesspartner20id**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiBusinesspartner20id) | **PATCH** /businesspartner/publicapi/businesspartner/2.0/{id} | Patches an existing item of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiContact20id**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiContact20id) | **PATCH** /businesspartner/publicapi/contact/2.0/{id} | Patches an existing item of type contact.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiCustomer20**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiCustomer20) | **PATCH** /businesspartner/publicapi/customer/2.0 | Patches an existing item of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiCustomer20id**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiCustomer20id) | **PATCH** /businesspartner/publicapi/customer/2.0/{id} | Patches an existing item of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiSubsidiary20**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiSubsidiary20) | **PATCH** /businesspartner/publicapi/subsidiary/2.0 | Patches an existing item of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiSubsidiary20id**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiSubsidiary20id) | **PATCH** /businesspartner/publicapi/subsidiary/2.0/{id} | Patches an existing item of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiSupplier20**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiSupplier20) | **PATCH** /businesspartner/publicapi/supplier/2.0 | Patches an existing item of type supplier.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**patchBusinesspartnerPublicapiSupplier20id**](docs/BusinesspartnerpublicapivApi.md#patchBusinesspartnerPublicapiSupplier20id) | **PATCH** /businesspartner/publicapi/supplier/2.0/{id} | Patches an existing item of type supplier.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**postBusinesspartnerPublicapiBusinesspartner20**](docs/BusinesspartnerpublicapivApi.md#postBusinesspartnerPublicapiBusinesspartner20) | **POST** /businesspartner/publicapi/businesspartner/2.0 | Creates a new item of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**postBusinesspartnerPublicapiCustomer20**](docs/BusinesspartnerpublicapivApi.md#postBusinesspartnerPublicapiCustomer20) | **POST** /businesspartner/publicapi/customer/2.0 | Creates a new item of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**postBusinesspartnerPublicapiSubsidiary20**](docs/BusinesspartnerpublicapivApi.md#postBusinesspartnerPublicapiSubsidiary20) | **POST** /businesspartner/publicapi/subsidiary/2.0 | Creates a new item of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**postBusinesspartnerPublicapiSupplier20**](docs/BusinesspartnerpublicapivApi.md#postBusinesspartnerPublicapiSupplier20) | **POST** /businesspartner/publicapi/supplier/2.0 | Creates a new item of type supplier.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiBusinesspartner20**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiBusinesspartner20) | **PUT** /businesspartner/publicapi/businesspartner/2.0 | Updates an existing item of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiBusinesspartner20id**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiBusinesspartner20id) | **PUT** /businesspartner/publicapi/businesspartner/2.0/{id} | Updates an existing item of type business partner.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiContact20id**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiContact20id) | **PUT** /businesspartner/publicapi/contact/2.0/{id} | Updates an existing item of type contact.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiCustomer20**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiCustomer20) | **PUT** /businesspartner/publicapi/customer/2.0 | Updates an existing item of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiCustomer20id**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiCustomer20id) | **PUT** /businesspartner/publicapi/customer/2.0/{id} | Updates an existing item of type customer.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiSubsidiary20**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiSubsidiary20) | **PUT** /businesspartner/publicapi/subsidiary/2.0 | Updates an existing item of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiSubsidiary20id**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiSubsidiary20id) | **PUT** /businesspartner/publicapi/subsidiary/2.0/{id} | Updates an existing item of type subsidiary.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiSupplier20**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiSupplier20) | **PUT** /businesspartner/publicapi/supplier/2.0 | Updates an existing item of type supplier.
*ITwo40Api.BusinesspartnerpublicapivApi* | [**putBusinesspartnerPublicapiSupplier20id**](docs/BusinesspartnerpublicapivApi.md#putBusinesspartnerPublicapiSupplier20id) | **PUT** /businesspartner/publicapi/supplier/2.0/{id} | Updates an existing item of type supplier.
*ITwo40Api.DefectpublicapivApi* | [**deleteDefectPublicapiDefect20**](docs/DefectpublicapivApi.md#deleteDefectPublicapiDefect20) | **DELETE** /defect/publicapi/defect/2.0?id&#x3D;{id} | Deletes an item of type defect.
*ITwo40Api.DefectpublicapivApi* | [**deleteDefectPublicapiDefect20id**](docs/DefectpublicapivApi.md#deleteDefectPublicapiDefect20id) | **DELETE** /defect/publicapi/defect/2.0/{id} | Deletes an item of type defect.
*ITwo40Api.DefectpublicapivApi* | [**deleteDefectPublicapiDocument20**](docs/DefectpublicapivApi.md#deleteDefectPublicapiDocument20) | **DELETE** /defect/publicapi/document/2.0?id&#x3D;{id} | Deletes an item of type document.
*ITwo40Api.DefectpublicapivApi* | [**deleteDefectPublicapiDocument20id**](docs/DefectpublicapivApi.md#deleteDefectPublicapiDocument20id) | **DELETE** /defect/publicapi/document/2.0/{id} | Deletes an item of type document.
*ITwo40Api.DefectpublicapivApi* | [**getDefectPublicapiDefect20**](docs/DefectpublicapivApi.md#getDefectPublicapiDefect20) | **GET** /defect/publicapi/defect/2.0 | Returns items of type defect as specified by OData arguments.
*ITwo40Api.DefectpublicapivApi* | [**getDefectPublicapiDefect20Lastchanged**](docs/DefectpublicapivApi.md#getDefectPublicapiDefect20Lastchanged) | **GET** /defect/publicapi/defect/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type defect.
*ITwo40Api.DefectpublicapivApi* | [**getDefectPublicapiDefect20id**](docs/DefectpublicapivApi.md#getDefectPublicapiDefect20id) | **GET** /defect/publicapi/defect/2.0/{id} | Retrieves an item of type defect based on its ID.
*ITwo40Api.DefectpublicapivApi* | [**getDefectPublicapiDocument20**](docs/DefectpublicapivApi.md#getDefectPublicapiDocument20) | **GET** /defect/publicapi/document/2.0 | Returns items of type document as specified by OData arguments.
*ITwo40Api.DefectpublicapivApi* | [**getDefectPublicapiDocument20Lastchanged**](docs/DefectpublicapivApi.md#getDefectPublicapiDocument20Lastchanged) | **GET** /defect/publicapi/document/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type document.
*ITwo40Api.DefectpublicapivApi* | [**getDefectPublicapiDocument20id**](docs/DefectpublicapivApi.md#getDefectPublicapiDocument20id) | **GET** /defect/publicapi/document/2.0/{id} | Retrieves an item of type document based on its ID.
*ITwo40Api.DefectpublicapivApi* | [**patchDefectPublicapiDefect20**](docs/DefectpublicapivApi.md#patchDefectPublicapiDefect20) | **PATCH** /defect/publicapi/defect/2.0 | Patches an existing item of type defect.
*ITwo40Api.DefectpublicapivApi* | [**patchDefectPublicapiDefect20id**](docs/DefectpublicapivApi.md#patchDefectPublicapiDefect20id) | **PATCH** /defect/publicapi/defect/2.0/{id} | Patches an existing item of type defect.
*ITwo40Api.DefectpublicapivApi* | [**patchDefectPublicapiDocument20**](docs/DefectpublicapivApi.md#patchDefectPublicapiDocument20) | **PATCH** /defect/publicapi/document/2.0 | Patches an existing item of type document.
*ITwo40Api.DefectpublicapivApi* | [**patchDefectPublicapiDocument20id**](docs/DefectpublicapivApi.md#patchDefectPublicapiDocument20id) | **PATCH** /defect/publicapi/document/2.0/{id} | Patches an existing item of type document.
*ITwo40Api.DefectpublicapivApi* | [**postDefectPublicapiDefect20**](docs/DefectpublicapivApi.md#postDefectPublicapiDefect20) | **POST** /defect/publicapi/defect/2.0 | Creates a new item of type defect.
*ITwo40Api.DefectpublicapivApi* | [**postDefectPublicapiDocument20**](docs/DefectpublicapivApi.md#postDefectPublicapiDocument20) | **POST** /defect/publicapi/document/2.0 | Creates a new item of type document.
*ITwo40Api.DefectpublicapivApi* | [**putDefectPublicapiDefect20**](docs/DefectpublicapivApi.md#putDefectPublicapiDefect20) | **PUT** /defect/publicapi/defect/2.0 | Updates an existing item of type defect.
*ITwo40Api.DefectpublicapivApi* | [**putDefectPublicapiDefect20id**](docs/DefectpublicapivApi.md#putDefectPublicapiDefect20id) | **PUT** /defect/publicapi/defect/2.0/{id} | Updates an existing item of type defect.
*ITwo40Api.DefectpublicapivApi* | [**putDefectPublicapiDocument20**](docs/DefectpublicapivApi.md#putDefectPublicapiDocument20) | **PUT** /defect/publicapi/document/2.0 | Updates an existing item of type document.
*ITwo40Api.DefectpublicapivApi* | [**putDefectPublicapiDocument20id**](docs/DefectpublicapivApi.md#putDefectPublicapiDocument20id) | **PUT** /defect/publicapi/document/2.0/{id} | Updates an existing item of type document.
*ITwo40Api.ModelpublicapivApi* | [**deleteModelPublicapiModel20**](docs/ModelpublicapivApi.md#deleteModelPublicapiModel20) | **DELETE** /model/publicapi/model/2.0?id&#x3D;{id}&amp;projectCode&#x3D;{projectCode}&amp;companyCode&#x3D;{companyCode}&amp;code&#x3D;{code} | Deletes an item of type model.
*ITwo40Api.ModelpublicapivApi* | [**deleteModelPublicapiModel20id**](docs/ModelpublicapivApi.md#deleteModelPublicapiModel20id) | **DELETE** /model/publicapi/model/2.0/{id} | Deletes an item of type model.
*ITwo40Api.ModelpublicapivApi* | [**deleteModelPublicapiObject20**](docs/ModelpublicapivApi.md#deleteModelPublicapiObject20) | **DELETE** /model/publicapi/object/2.0?modelId&#x3D;{modelId}&amp;id&#x3D;{id} | Deletes an item of type model object.
*ITwo40Api.ModelpublicapivApi* | [**deleteModelPublicapiObject20id**](docs/ModelpublicapivApi.md#deleteModelPublicapiObject20id) | **DELETE** /model/publicapi/object/2.0/{modelId}/{id} | Deletes an item of type model object.
*ITwo40Api.ModelpublicapivApi* | [**getModelPublicapiModel20**](docs/ModelpublicapivApi.md#getModelPublicapiModel20) | **GET** /model/publicapi/model/2.0 | Returns items of type model as specified by OData arguments.
*ITwo40Api.ModelpublicapivApi* | [**getModelPublicapiModel20Lastchanged**](docs/ModelpublicapivApi.md#getModelPublicapiModel20Lastchanged) | **GET** /model/publicapi/model/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type model.
*ITwo40Api.ModelpublicapivApi* | [**getModelPublicapiModel20id**](docs/ModelpublicapivApi.md#getModelPublicapiModel20id) | **GET** /model/publicapi/model/2.0/{id} | Retrieves an item of type model based on its ID.
*ITwo40Api.ModelpublicapivApi* | [**getModelPublicapiObject20**](docs/ModelpublicapivApi.md#getModelPublicapiObject20) | **GET** /model/publicapi/object/2.0 | Returns items of type model object as specified by OData arguments.
*ITwo40Api.ModelpublicapivApi* | [**getModelPublicapiObject20Lastchanged**](docs/ModelpublicapivApi.md#getModelPublicapiObject20Lastchanged) | **GET** /model/publicapi/object/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type model object.
*ITwo40Api.ModelpublicapivApi* | [**getModelPublicapiObject20id**](docs/ModelpublicapivApi.md#getModelPublicapiObject20id) | **GET** /model/publicapi/object/2.0/{modelId}/{id} | Retrieves an item of type model object based on its ID.
*ITwo40Api.ModelpublicapivApi* | [**patchModelPublicapiModel20**](docs/ModelpublicapivApi.md#patchModelPublicapiModel20) | **PATCH** /model/publicapi/model/2.0 | Patches an existing item of type model.
*ITwo40Api.ModelpublicapivApi* | [**patchModelPublicapiModel20id**](docs/ModelpublicapivApi.md#patchModelPublicapiModel20id) | **PATCH** /model/publicapi/model/2.0/{id} | Patches an existing item of type model.
*ITwo40Api.ModelpublicapivApi* | [**patchModelPublicapiObject20**](docs/ModelpublicapivApi.md#patchModelPublicapiObject20) | **PATCH** /model/publicapi/object/2.0 | Patches an existing item of type model object.
*ITwo40Api.ModelpublicapivApi* | [**patchModelPublicapiObject20id**](docs/ModelpublicapivApi.md#patchModelPublicapiObject20id) | **PATCH** /model/publicapi/object/2.0/{modelId}/{id} | Patches an existing item of type model object.
*ITwo40Api.ModelpublicapivApi* | [**postModelPublicapiModel20**](docs/ModelpublicapivApi.md#postModelPublicapiModel20) | **POST** /model/publicapi/model/2.0 | Creates a new item of type model.
*ITwo40Api.ModelpublicapivApi* | [**postModelPublicapiObject20**](docs/ModelpublicapivApi.md#postModelPublicapiObject20) | **POST** /model/publicapi/object/2.0 | Creates a new item of type model object.
*ITwo40Api.ModelpublicapivApi* | [**putModelPublicapiModel20**](docs/ModelpublicapivApi.md#putModelPublicapiModel20) | **PUT** /model/publicapi/model/2.0 | Updates an existing item of type model.
*ITwo40Api.ModelpublicapivApi* | [**putModelPublicapiModel20id**](docs/ModelpublicapivApi.md#putModelPublicapiModel20id) | **PUT** /model/publicapi/model/2.0/{id} | Updates an existing item of type model.
*ITwo40Api.ModelpublicapivApi* | [**putModelPublicapiObject20**](docs/ModelpublicapivApi.md#putModelPublicapiObject20) | **PUT** /model/publicapi/object/2.0 | Updates an existing item of type model object.
*ITwo40Api.ModelpublicapivApi* | [**putModelPublicapiObject20id**](docs/ModelpublicapivApi.md#putModelPublicapiObject20id) | **PUT** /model/publicapi/object/2.0/{modelId}/{id} | Updates an existing item of type model object.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiInforequest20**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiInforequest20) | **DELETE** /project/publicapi/inforequest/2.0?id&#x3D;{id}&amp;code&#x3D;{code}&amp;projectCode&#x3D;{projectCode}&amp;modelCode&#x3D;{modelCode}&amp;companyCode&#x3D;{companyCode} | Deletes an item of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiInforequest20id**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiInforequest20id) | **DELETE** /project/publicapi/inforequest/2.0/{id} | Deletes an item of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiLocation20**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiLocation20) | **DELETE** /project/publicapi/location/2.0?id&#x3D;{id}&amp;projectCode&#x3D;{projectCode}&amp;code&#x3D;{code} | Deletes an item of type location.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiLocation20id**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiLocation20id) | **DELETE** /project/publicapi/location/2.0/{id} | Deletes an item of type location.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiProject20id**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiProject20id) | **DELETE** /project/publicapi/project/2.0/{id} | Deletes an item of type project.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiProjectBusinesspartner20**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiProjectBusinesspartner20) | **DELETE** /project/publicapi/project/businesspartner/2.0?id&#x3D;{id} | Deletes an item of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiProjectBusinesspartner20id**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiProjectBusinesspartner20id) | **DELETE** /project/publicapi/project/businesspartner/2.0/{id} | Deletes an item of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiProjectclerk20**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiProjectclerk20) | **DELETE** /project/publicapi/projectclerk/2.0?id&#x3D;{id} | Deletes an item of type project2 clerk.
*ITwo40Api.ProjectpublicapivApi* | [**deleteProjectPublicapiProjectclerk20id**](docs/ProjectpublicapivApi.md#deleteProjectPublicapiProjectclerk20id) | **DELETE** /project/publicapi/projectclerk/2.0/{id} | Deletes an item of type project2 clerk.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiInforequest20**](docs/ProjectpublicapivApi.md#getProjectPublicapiInforequest20) | **GET** /project/publicapi/inforequest/2.0 | Returns items of type info request as specified by OData arguments.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiInforequest20Lastchanged**](docs/ProjectpublicapivApi.md#getProjectPublicapiInforequest20Lastchanged) | **GET** /project/publicapi/inforequest/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiInforequest20id**](docs/ProjectpublicapivApi.md#getProjectPublicapiInforequest20id) | **GET** /project/publicapi/inforequest/2.0/{id} | Retrieves an item of type info request based on its ID.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiLocation20**](docs/ProjectpublicapivApi.md#getProjectPublicapiLocation20) | **GET** /project/publicapi/location/2.0 | Returns items of type location as specified by OData arguments.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiLocation20Lastchanged**](docs/ProjectpublicapivApi.md#getProjectPublicapiLocation20Lastchanged) | **GET** /project/publicapi/location/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type location.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiLocation20id**](docs/ProjectpublicapivApi.md#getProjectPublicapiLocation20id) | **GET** /project/publicapi/location/2.0/{id} | Retrieves an item of type location based on its ID.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProject20Lastchanged**](docs/ProjectpublicapivApi.md#getProjectPublicapiProject20Lastchanged) | **GET** /project/publicapi/project/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type project.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProject20id**](docs/ProjectpublicapivApi.md#getProjectPublicapiProject20id) | **GET** /project/publicapi/project/2.0/{id} | Retrieves an item of type project based on its ID.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProjectBusinesspartner20**](docs/ProjectpublicapivApi.md#getProjectPublicapiProjectBusinesspartner20) | **GET** /project/publicapi/project/businesspartner/2.0 | Returns items of type project2 bp as specified by OData arguments.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProjectBusinesspartner20Lastchanged**](docs/ProjectpublicapivApi.md#getProjectPublicapiProjectBusinesspartner20Lastchanged) | **GET** /project/publicapi/project/businesspartner/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProjectBusinesspartner20id**](docs/ProjectpublicapivApi.md#getProjectPublicapiProjectBusinesspartner20id) | **GET** /project/publicapi/project/businesspartner/2.0/{id} | Retrieves an item of type project2 bp based on its ID.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProjectclerk20**](docs/ProjectpublicapivApi.md#getProjectPublicapiProjectclerk20) | **GET** /project/publicapi/projectclerk/2.0 | Returns items of type project2 clerk as specified by OData arguments.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProjectclerk20Lastchanged**](docs/ProjectpublicapivApi.md#getProjectPublicapiProjectclerk20Lastchanged) | **GET** /project/publicapi/projectclerk/2.0/lastchanged | Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type project2 clerk.
*ITwo40Api.ProjectpublicapivApi* | [**getProjectPublicapiProjectclerk20id**](docs/ProjectpublicapivApi.md#getProjectPublicapiProjectclerk20id) | **GET** /project/publicapi/projectclerk/2.0/{id} | Retrieves an item of type project2 clerk based on its ID.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiInforequest20**](docs/ProjectpublicapivApi.md#patchProjectPublicapiInforequest20) | **PATCH** /project/publicapi/inforequest/2.0 | Patches an existing item of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiInforequest20id**](docs/ProjectpublicapivApi.md#patchProjectPublicapiInforequest20id) | **PATCH** /project/publicapi/inforequest/2.0/{id} | Patches an existing item of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiLocation20**](docs/ProjectpublicapivApi.md#patchProjectPublicapiLocation20) | **PATCH** /project/publicapi/location/2.0 | Patches an existing item of type location.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiLocation20id**](docs/ProjectpublicapivApi.md#patchProjectPublicapiLocation20id) | **PATCH** /project/publicapi/location/2.0/{id} | Patches an existing item of type location.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiProject20id**](docs/ProjectpublicapivApi.md#patchProjectPublicapiProject20id) | **PATCH** /project/publicapi/project/2.0/{id} | Patches an existing item of type project.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiProjectBusinesspartner20**](docs/ProjectpublicapivApi.md#patchProjectPublicapiProjectBusinesspartner20) | **PATCH** /project/publicapi/project/businesspartner/2.0 | Patches an existing item of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiProjectBusinesspartner20id**](docs/ProjectpublicapivApi.md#patchProjectPublicapiProjectBusinesspartner20id) | **PATCH** /project/publicapi/project/businesspartner/2.0/{id} | Patches an existing item of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiProjectclerk20**](docs/ProjectpublicapivApi.md#patchProjectPublicapiProjectclerk20) | **PATCH** /project/publicapi/projectclerk/2.0 | Patches an existing item of type project2 clerk.
*ITwo40Api.ProjectpublicapivApi* | [**patchProjectPublicapiProjectclerk20id**](docs/ProjectpublicapivApi.md#patchProjectPublicapiProjectclerk20id) | **PATCH** /project/publicapi/projectclerk/2.0/{id} | Patches an existing item of type project2 clerk.
*ITwo40Api.ProjectpublicapivApi* | [**postProjectPublicapiInforequest20**](docs/ProjectpublicapivApi.md#postProjectPublicapiInforequest20) | **POST** /project/publicapi/inforequest/2.0 | Creates a new item of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**postProjectPublicapiLocation20**](docs/ProjectpublicapivApi.md#postProjectPublicapiLocation20) | **POST** /project/publicapi/location/2.0 | Creates a new item of type location.
*ITwo40Api.ProjectpublicapivApi* | [**postProjectPublicapiProjectBusinesspartner20**](docs/ProjectpublicapivApi.md#postProjectPublicapiProjectBusinesspartner20) | **POST** /project/publicapi/project/businesspartner/2.0 | Creates a new item of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**postProjectPublicapiProjectclerk20**](docs/ProjectpublicapivApi.md#postProjectPublicapiProjectclerk20) | **POST** /project/publicapi/projectclerk/2.0 | Creates a new item of type project2 clerk.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiInforequest20**](docs/ProjectpublicapivApi.md#putProjectPublicapiInforequest20) | **PUT** /project/publicapi/inforequest/2.0 | Updates an existing item of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiInforequest20id**](docs/ProjectpublicapivApi.md#putProjectPublicapiInforequest20id) | **PUT** /project/publicapi/inforequest/2.0/{id} | Updates an existing item of type info request.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiLocation20**](docs/ProjectpublicapivApi.md#putProjectPublicapiLocation20) | **PUT** /project/publicapi/location/2.0 | Updates an existing item of type location.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiLocation20id**](docs/ProjectpublicapivApi.md#putProjectPublicapiLocation20id) | **PUT** /project/publicapi/location/2.0/{id} | Updates an existing item of type location.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiProject20id**](docs/ProjectpublicapivApi.md#putProjectPublicapiProject20id) | **PUT** /project/publicapi/project/2.0/{id} | Updates an existing item of type project.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiProjectBusinesspartner20**](docs/ProjectpublicapivApi.md#putProjectPublicapiProjectBusinesspartner20) | **PUT** /project/publicapi/project/businesspartner/2.0 | Updates an existing item of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiProjectBusinesspartner20id**](docs/ProjectpublicapivApi.md#putProjectPublicapiProjectBusinesspartner20id) | **PUT** /project/publicapi/project/businesspartner/2.0/{id} | Updates an existing item of type project2 bp.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiProjectclerk20**](docs/ProjectpublicapivApi.md#putProjectPublicapiProjectclerk20) | **PUT** /project/publicapi/projectclerk/2.0 | Updates an existing item of type project2 clerk.
*ITwo40Api.ProjectpublicapivApi* | [**putProjectPublicapiProjectclerk20id**](docs/ProjectpublicapivApi.md#putProjectPublicapiProjectclerk20id) | **PUT** /project/publicapi/projectclerk/2.0/{id} | Updates an existing item of type project2 clerk.


## Documentation for Models



## Documentation for Authorization

 All endpoints do not require authorization.

