# ITwo40Api.BasicsapivApi

All URIs are relative to *https://ytwoformative.rib-software.com:97/external/itwo40/daily/services*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getBasicsApi10Userinfo**](BasicsapivApi.md#getBasicsApi10Userinfo) | **GET** /basics/api/1.0/userinfo | Provides user properties available in current principal (user)
[**getBasicsApi20Languages**](BasicsapivApi.md#getBasicsApi20Languages) | **GET** /basics/api/2.0/languages | This method returns the list of available languages for the system
[**getBasicsApi20Userinfo**](BasicsapivApi.md#getBasicsApi20Userinfo) | **GET** /basics/api/2.0/userinfo | Provides user properties available in current principal (user)
[**postBasicsApi20Logon**](BasicsapivApi.md#postBasicsApi20Logon) | **POST** /basics/api/2.0/logon | This method is used for login into the itwo 4.0. If logon is valid it returns an accesstoken for using itwo 4.0 services.            The accesstoken is only valid a certain time.             If logon fails method throws a System.AccessViolationException            After Login you need to get a Client context with selected company and role ids for detail see basics/company/checkcompany api


<a name="getBasicsApi10Userinfo"></a>
# **getBasicsApi10Userinfo**
> getBasicsApi10Userinfo()

Provides user properties available in current principal (user)

# Summary    &gt; Provides user properties available in current principal (user)  # Description  &gt; No parameters  

### Example
```javascript
var ITwo40Api = require('i_two_40_api');

var apiInstance = new ITwo40Api.BasicsapivApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.getBasicsApi10Userinfo(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/json

<a name="getBasicsApi20Languages"></a>
# **getBasicsApi20Languages**
> getBasicsApi20Languages()

This method returns the list of available languages for the system

# Summary    &gt; This method returns the list of available languages for the system  # Description  &gt; No parameters  

### Example
```javascript
var ITwo40Api = require('i_two_40_api');

var apiInstance = new ITwo40Api.BasicsapivApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.getBasicsApi20Languages(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/json

<a name="getBasicsApi20Userinfo"></a>
# **getBasicsApi20Userinfo**
> getBasicsApi20Userinfo()

Provides user properties available in current principal (user)

# Summary    &gt; Provides user properties available in current principal (user)  # Description  &gt; No parameters  

### Example
```javascript
var ITwo40Api = require('i_two_40_api');

var apiInstance = new ITwo40Api.BasicsapivApi();

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.getBasicsApi20Userinfo(callback);
```

### Parameters
This endpoint does not need any parameter.

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/json

<a name="postBasicsApi20Logon"></a>
# **postBasicsApi20Logon**
> postBasicsApi20Logon(accountData)

This method is used for login into the itwo 4.0. If logon is valid it returns an accesstoken for using itwo 4.0 services.            The accesstoken is only valid a certain time.             If logon fails method throws a System.AccessViolationException            After Login you need to get a Client context with selected company and role ids for detail see basics/company/checkcompany api

# Summary    &gt; This method is used for login into the itwo 4.0. If logon is valid it returns an accesstoken for using itwo 4.0 services.            The accesstoken is only valid a certain time.             If logon fails method throws a System.AccessViolationException            After Login you need to get a Client context with selected company and role ids for detail see basics/company/checkcompany api  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; N/A&lt;/blockquote&gt;  &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   &gt;   &gt; &gt; #### **Example**  &gt; &gt;The sample body of the request will look like:{                      \&quot;username\&quot;: \&quot;my user name\&quot;,                      \&quot;password\&quot;: \&quot;my secret password\&quot;              }  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;         \&quot;username\&quot;: \&quot;my user name\&quot;,  &gt; &gt;         \&quot;password\&quot;: \&quot;my secret password\&quot;  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  

### Example
```javascript
var ITwo40Api = require('i_two_40_api');

var apiInstance = new ITwo40Api.BasicsapivApi();

var accountData = null; // Object | body of request, json object containing 'username' and 'password' properties { \"username\": \"my user name\", \"passord\": \"my secret password\" }


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
apiInstance.postBasicsApi20Logon(accountData, callback);
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountData** | **Object**| body of request, json object containing &#39;username&#39; and &#39;password&#39; properties { \&quot;username\&quot;: \&quot;my user name\&quot;, \&quot;passord\&quot;: \&quot;my secret password\&quot; } | 

### Return type

null (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json
 - **Accept**: application/json, text/json

