/**
 * iTWO 4.0 API
 * No descripton provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.ITwo40Api) {
      root.ITwo40Api = {};
    }
    root.ITwo40Api.BasicspublicapivApi = factory(root.ITwo40Api.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * Basicspublicapiv service.
   * @module Api.Resources/BasicspublicapivApi
   * @version v1
   */

  /**
   * Constructs a new BasicspublicapivApi. 
   * @alias module:Api.Resources/BasicspublicapivApi
   * @class
   * @param {module:ApiClient} apiClient Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the deleteBasicsPublicapiAddress20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiAddress20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type address.
     * # Summary    &gt; Deletes an item of type address.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.id Id of the Address
     * @param {module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiAddress20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteAddressV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'id': opts['id']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0?id={id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteBasicsPublicapiAddress20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiAddress20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type address.
     * # Summary    &gt; Deletes an item of type address.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Integer} id Id of the Address
     * @param {module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiAddress20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteAddressidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling deleteBasicsPublicapiAddress20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0/{id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteBasicsPublicapiTelephonenumber20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiTelephonenumber20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type telephone number.
     * # Summary    &gt; Deletes an item of type telephone number.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.id Id of the TelephoneNumber
     * @param {module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiTelephonenumber20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteTelephonenumberV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'id': opts['id']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0?id={id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteBasicsPublicapiTelephonenumber20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiTelephonenumber20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type telephone number.
     * # Summary    &gt; Deletes an item of type telephone number.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Integer} id Id of the TelephoneNumber
     * @param {module:Api.Resources/BasicspublicapivApi~deleteBasicsPublicapiTelephonenumber20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteTelephonenumberidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling deleteBasicsPublicapiTelephonenumber20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0/{id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getBasicsPublicapiAddress20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiAddress20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns items of type address as specified by OData arguments.
     * # Summary    &gt; Returns items of type address as specified by OData arguments.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;This endpoint allows for retrieving items based on a subset of the parameters specified by the [OData URL conventions](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part2-url-conventions.html). The following parameters are supported:&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $skip                   &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the number of items from the result set to skip before the first item to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $top                    &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the maximum number of items to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $select                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $orderBy                &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to order the result set by. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $filter                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Any filter restrictions for the result set. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Array&amp;lt;Object&amp;gt; } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Iso3 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.State\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; State &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Short for State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; [  &gt; &gt;   {  &gt; &gt;     \&quot;Id\&quot;: 441540,  &gt; &gt;     \&quot;CountryId\&quot;: 441541,  &gt; &gt;     \&quot;Iso2\&quot;: \&quot;sample string 441542\&quot;,  &gt; &gt;     \&quot;Iso3\&quot;: \&quot;sample string 441543\&quot;,  &gt; &gt;     \&quot;CountryDescription\&quot;: \&quot;sample string 441544\&quot;,  &gt; &gt;     \&quot;StateId\&quot;: 441545,  &gt; &gt;     \&quot;State\&quot;: \&quot;sample string 441546\&quot;,  &gt; &gt;     \&quot;StateDescription\&quot;: \&quot;sample string 441547\&quot;,  &gt; &gt;     \&quot;Street\&quot;: \&quot;sample string 441548\&quot;,  &gt; &gt;     \&quot;City\&quot;: \&quot;sample string 441549\&quot;,  &gt; &gt;     \&quot;Zipcode\&quot;: \&quot;sample string 441550\&quot;,  &gt; &gt;     \&quot;County\&quot;: \&quot;sample string 441551\&quot;,  &gt; &gt;     \&quot;Address\&quot;: \&quot;sample string 441552\&quot;,  &gt; &gt;     \&quot;AddressLine\&quot;: \&quot;sample string 441553\&quot;,  &gt; &gt;     \&quot;AddressModified\&quot;: true,  &gt; &gt;     \&quot;Longitude\&quot;: 441555.0,  &gt; &gt;     \&quot;Latitude\&quot;: 441556.0,  &gt; &gt;     \&quot;Supplement\&quot;: \&quot;sample string 441557\&quot;,  &gt; &gt;     \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;InsertedBy\&quot;: 441558,  &gt; &gt;     \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;UpdatedBy\&quot;: 441559,  &gt; &gt;     \&quot;Version\&quot;: 441560,  &gt; &gt;     \&quot;LanguageId\&quot;: 441561  &gt; &gt;   }  &gt; &gt; ]  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.skip Indicates the number of items from the result set to skip before the first item to return.
     * @param {Integer} opts.top Indicates the maximum number of items to return.
     * @param {String} opts.select A comma-separated list of one or more properties of the result object to return.
     * @param {String} opts.orderBy A comma-separated list of one or more properties of the result object to order the result set by.
     * @param {String} opts.filter Any filter restrictions for the result set.
     * @param {module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiAddress20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getAddressV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        '$skip': opts['skip'],
        '$top': opts['top'],
        '$select': opts['select'],
        '$orderBy': opts['orderBy'],
        '$filter': opts['filter']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getBasicsPublicapiAddress20Lastchanged operation.
     * @callback module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiAddress20LastchangedCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type address.
     * # Summary    &gt; Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type address.  # Description  &gt; No parameters  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; \&quot;2020-05-22T06:16:13.5909612Z\&quot;  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiAddress20LastchangedCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getAddressLastchangedV20 = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0/lastchanged', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getBasicsPublicapiAddress20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiAddress20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Retrieves an item of type address based on its ID.
     * # Summary    &gt; Retrieves an item of type address based on its ID.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Iso3 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.State\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; State &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Short for State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441694,  &gt; &gt;   \&quot;CountryId\&quot;: 441695,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441696\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441697\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441698\&quot;,  &gt; &gt;   \&quot;StateId\&quot;: 441699,  &gt; &gt;   \&quot;State\&quot;: \&quot;sample string 441700\&quot;,  &gt; &gt;   \&quot;StateDescription\&quot;: \&quot;sample string 441701\&quot;,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441702\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441703\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441704\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441705\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441706\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441707\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441709.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441710.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441711\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441712,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441713,  &gt; &gt;   \&quot;Version\&quot;: 441714,  &gt; &gt;   \&quot;LanguageId\&quot;: 441715  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the Address
     * @param {module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiAddress20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getAddressidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling getBasicsPublicapiAddress20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getBasicsPublicapiTelephonenumber20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiTelephonenumber20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns items of type telephone number as specified by OData arguments.
     * # Summary    &gt; Returns items of type telephone number as specified by OData arguments.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;This endpoint allows for retrieving items based on a subset of the parameters specified by the [OData URL conventions](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part2-url-conventions.html). The following parameters are supported:&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $skip                   &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the number of items from the result set to skip before the first item to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $top                    &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the maximum number of items to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $select                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $orderBy                &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to order the result set by. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $filter                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Any filter restrictions for the result set. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Array&amp;lt;Object&amp;gt; } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. There are no comments for Iso3 in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for CountryDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; [  &gt; &gt;   {  &gt; &gt;     \&quot;Id\&quot;: 441804,  &gt; &gt;     \&quot;CountryId\&quot;: 441805,  &gt; &gt;     \&quot;Iso2\&quot;: \&quot;sample string 441806\&quot;,  &gt; &gt;     \&quot;Iso3\&quot;: \&quot;sample string 441807\&quot;,  &gt; &gt;     \&quot;CountryDescription\&quot;: \&quot;sample string 441808\&quot;,  &gt; &gt;     \&quot;AreaCode\&quot;: \&quot;sample string 441809\&quot;,  &gt; &gt;     \&quot;PhoneNumber\&quot;: \&quot;sample string 441810\&quot;,  &gt; &gt;     \&quot;Extention\&quot;: \&quot;sample string 441811\&quot;,  &gt; &gt;     \&quot;CommentText\&quot;: \&quot;sample string 441812\&quot;,  &gt; &gt;     \&quot;Telephone\&quot;: \&quot;sample string 441813\&quot;,  &gt; &gt;     \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;InsertedBy\&quot;: 441814,  &gt; &gt;     \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;UpdatedBy\&quot;: 441815,  &gt; &gt;     \&quot;Version\&quot;: 441816,  &gt; &gt;     \&quot;LanguageId\&quot;: 441817  &gt; &gt;   }  &gt; &gt; ]  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.skip Indicates the number of items from the result set to skip before the first item to return.
     * @param {Integer} opts.top Indicates the maximum number of items to return.
     * @param {String} opts.select A comma-separated list of one or more properties of the result object to return.
     * @param {String} opts.orderBy A comma-separated list of one or more properties of the result object to order the result set by.
     * @param {String} opts.filter Any filter restrictions for the result set.
     * @param {module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiTelephonenumber20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getTelephonenumberV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        '$skip': opts['skip'],
        '$top': opts['top'],
        '$select': opts['select'],
        '$orderBy': opts['orderBy'],
        '$filter': opts['filter']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getBasicsPublicapiTelephonenumber20Lastchanged operation.
     * @callback module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiTelephonenumber20LastchangedCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type telephone number.
     * # Summary    &gt; Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type telephone number.  # Description  &gt; No parameters  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; \&quot;2020-05-22T06:16:13.7315852Z\&quot;  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiTelephonenumber20LastchangedCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getTelephonenumberLastchangedV20 = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0/lastchanged', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getBasicsPublicapiTelephonenumber20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiTelephonenumber20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Retrieves an item of type telephone number based on its ID.
     * # Summary    &gt; Retrieves an item of type telephone number based on its ID.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. There are no comments for Iso3 in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for CountryDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441902,  &gt; &gt;   \&quot;CountryId\&quot;: 441903,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441904\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441905\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441906\&quot;,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441907\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441908\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441909\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441910\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441911\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441912,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441913,  &gt; &gt;   \&quot;Version\&quot;: 441914,  &gt; &gt;   \&quot;LanguageId\&quot;: 441915  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the TelephoneNumber
     * @param {module:Api.Resources/BasicspublicapivApi~getBasicsPublicapiTelephonenumber20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getTelephonenumberidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling getBasicsPublicapiTelephonenumber20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchBasicsPublicapiAddress20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiAddress20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type address.
     * # Summary    &gt; Patches an existing item of type address.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Iso3 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.State\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; State &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Short for State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441650,  &gt; &gt;   \&quot;CountryId\&quot;: 441651,  &gt; &gt;   \&quot;StateId\&quot;: 441655,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441658\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441659\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441660\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441661\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441662\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441663\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441665.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441666.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441667\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441670,  &gt; &gt;   \&quot;LanguageId\&quot;: 441671  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441672,  &gt; &gt;   \&quot;CountryId\&quot;: 441673,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441674\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441675\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441676\&quot;,  &gt; &gt;   \&quot;StateId\&quot;: 441677,  &gt; &gt;   \&quot;State\&quot;: \&quot;sample string 441678\&quot;,  &gt; &gt;   \&quot;StateDescription\&quot;: \&quot;sample string 441679\&quot;,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441680\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441681\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441682\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441683\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441684\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441685\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441687.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441688.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441689\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441690,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441691,  &gt; &gt;   \&quot;Version\&quot;: 441692,  &gt; &gt;   \&quot;LanguageId\&quot;: 441693  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} data 
     * @param {module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiAddress20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchAddressV20 = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchBasicsPublicapiAddress20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchBasicsPublicapiAddress20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiAddress20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type address.
     * # Summary    &gt; Patches an existing item of type address.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Iso3 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.State\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; State &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Short for State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;CountryId\&quot;: 441761,  &gt; &gt;   \&quot;StateId\&quot;: 441765,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441768\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441769\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441770\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441771\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441772\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441773\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441775.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441776.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441777\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441780  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441782,  &gt; &gt;   \&quot;CountryId\&quot;: 441783,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441784\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441785\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441786\&quot;,  &gt; &gt;   \&quot;StateId\&quot;: 441787,  &gt; &gt;   \&quot;State\&quot;: \&quot;sample string 441788\&quot;,  &gt; &gt;   \&quot;StateDescription\&quot;: \&quot;sample string 441789\&quot;,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441790\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441791\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441792\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441793\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441794\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441795\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441797.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441798.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441799\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441800,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441801,  &gt; &gt;   \&quot;Version\&quot;: 441802,  &gt; &gt;   \&quot;LanguageId\&quot;: 441803  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the Address
     * @param {Object} data 
     * @param {module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiAddress20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchAddressidV20 = function(id, data, callback) {
      var postBody = data;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling patchBasicsPublicapiAddress20id";
      }

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchBasicsPublicapiAddress20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0/{id}', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchBasicsPublicapiTelephonenumber20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiTelephonenumber20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type telephone number.
     * # Summary    &gt; Patches an existing item of type telephone number.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. There are no comments for Iso3 in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for CountryDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441874,  &gt; &gt;   \&quot;CountryId\&quot;: 441875,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441879\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441880\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441881\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441882\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441883\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441886,  &gt; &gt;   \&quot;LanguageId\&quot;: 441887  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441888,  &gt; &gt;   \&quot;CountryId\&quot;: 441889,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441890\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441891\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441892\&quot;,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441893\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441894\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441895\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441896\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441897\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441898,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441899,  &gt; &gt;   \&quot;Version\&quot;: 441900,  &gt; &gt;   \&quot;LanguageId\&quot;: 441901  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} data 
     * @param {module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiTelephonenumber20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchTelephonenumberV20 = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchBasicsPublicapiTelephonenumber20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchBasicsPublicapiTelephonenumber20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiTelephonenumber20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type telephone number.
     * # Summary    &gt; Patches an existing item of type telephone number.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. There are no comments for Iso3 in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for CountryDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;CountryId\&quot;: 441945,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441949\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441950\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441951\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441952\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441953\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441956  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441958,  &gt; &gt;   \&quot;CountryId\&quot;: 441959,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441960\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441961\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441962\&quot;,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441963\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441964\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441965\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441966\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441967\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441968,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441969,  &gt; &gt;   \&quot;Version\&quot;: 441970,  &gt; &gt;   \&quot;LanguageId\&quot;: 441971  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the TelephoneNumber
     * @param {Object} data 
     * @param {module:Api.Resources/BasicspublicapivApi~patchBasicsPublicapiTelephonenumber20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchTelephonenumberidV20 = function(id, data, callback) {
      var postBody = data;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling patchBasicsPublicapiTelephonenumber20id";
      }

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchBasicsPublicapiTelephonenumber20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0/{id}', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the postBasicsPublicapiAddress20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~postBasicsPublicapiAddress20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Creates a new item of type address.
     * # Summary    &gt; Creates a new item of type address.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } - The DTO with the initial data.&lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Iso3 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.State\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; State &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Short for State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;CountryId\&quot;: 441563,  &gt; &gt;   \&quot;StateId\&quot;: 441567,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441570\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441571\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441572\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441573\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441574\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441575\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441577.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441578.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441579\&quot;  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441584,  &gt; &gt;   \&quot;CountryId\&quot;: 441585,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441586\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441587\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441588\&quot;,  &gt; &gt;   \&quot;StateId\&quot;: 441589,  &gt; &gt;   \&quot;State\&quot;: \&quot;sample string 441590\&quot;,  &gt; &gt;   \&quot;StateDescription\&quot;: \&quot;sample string 441591\&quot;,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441592\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441593\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441594\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441595\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441596\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441597\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441599.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441600.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441601\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441602,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441603,  &gt; &gt;   \&quot;Version\&quot;: 441604,  &gt; &gt;   \&quot;LanguageId\&quot;: 441605  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto The DTO with the initial data.
     * @param {module:Api.Resources/BasicspublicapivApi~postBasicsPublicapiAddress20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.postAddressV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling postBasicsPublicapiAddress20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the postBasicsPublicapiTelephonenumber20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~postBasicsPublicapiTelephonenumber20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Creates a new item of type telephone number.
     * # Summary    &gt; Creates a new item of type telephone number.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } - The DTO with the initial data.&lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. There are no comments for Iso3 in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for CountryDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;CountryId\&quot;: 441819,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441823\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441824\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441825\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441826\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441827\&quot;  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441832,  &gt; &gt;   \&quot;CountryId\&quot;: 441833,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441834\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441835\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441836\&quot;,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441837\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441838\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441839\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441840\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441841\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441842,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441843,  &gt; &gt;   \&quot;Version\&quot;: 441844,  &gt; &gt;   \&quot;LanguageId\&quot;: 441845  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto The DTO with the initial data.
     * @param {module:Api.Resources/BasicspublicapivApi~postBasicsPublicapiTelephonenumber20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.postTelephonenumberV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling postBasicsPublicapiTelephonenumber20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putBasicsPublicapiAddress20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiAddress20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type address.
     * # Summary    &gt; Updates an existing item of type address.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Iso3 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.State\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; State &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Short for State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441606,  &gt; &gt;   \&quot;CountryId\&quot;: 441607,  &gt; &gt;   \&quot;StateId\&quot;: 441611,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441614\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441615\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441616\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441617\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441618\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441619\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441621.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441622.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441623\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441626  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441628,  &gt; &gt;   \&quot;CountryId\&quot;: 441629,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441630\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441631\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441632\&quot;,  &gt; &gt;   \&quot;StateId\&quot;: 441633,  &gt; &gt;   \&quot;State\&quot;: \&quot;sample string 441634\&quot;,  &gt; &gt;   \&quot;StateDescription\&quot;: \&quot;sample string 441635\&quot;,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441636\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441637\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441638\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441639\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441640\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441641\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441643.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441644.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441645\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441646,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441647,  &gt; &gt;   \&quot;Version\&quot;: 441648,  &gt; &gt;   \&quot;LanguageId\&quot;: 441649  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto 
     * @param {module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiAddress20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putAddressV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putBasicsPublicapiAddress20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putBasicsPublicapiAddress20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiAddress20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type address.
     * # Summary    &gt; Updates an existing item of type address.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Iso3 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.State\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; State &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Short for State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StateDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StateDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the State &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Street\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Street &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Street of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.City\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; City &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. City of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Zipcode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Zipcode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,20]. Zip code of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.County\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; County &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. County of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Address\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Address &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressLine\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressLine &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Formated Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AddressModified\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AddressModified &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Address is Modified &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Longitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Longitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Longitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Latitude\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Latitude &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Latitude of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Supplement\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Supplement &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Supplement of the Address &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;CountryId\&quot;: 441717,  &gt; &gt;   \&quot;StateId\&quot;: 441721,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441724\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441725\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441726\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441727\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441728\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441729\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441731.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441732.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441733\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441736  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441738,  &gt; &gt;   \&quot;CountryId\&quot;: 441739,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441740\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441741\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441742\&quot;,  &gt; &gt;   \&quot;StateId\&quot;: 441743,  &gt; &gt;   \&quot;State\&quot;: \&quot;sample string 441744\&quot;,  &gt; &gt;   \&quot;StateDescription\&quot;: \&quot;sample string 441745\&quot;,  &gt; &gt;   \&quot;Street\&quot;: \&quot;sample string 441746\&quot;,  &gt; &gt;   \&quot;City\&quot;: \&quot;sample string 441747\&quot;,  &gt; &gt;   \&quot;Zipcode\&quot;: \&quot;sample string 441748\&quot;,  &gt; &gt;   \&quot;County\&quot;: \&quot;sample string 441749\&quot;,  &gt; &gt;   \&quot;Address\&quot;: \&quot;sample string 441750\&quot;,  &gt; &gt;   \&quot;AddressLine\&quot;: \&quot;sample string 441751\&quot;,  &gt; &gt;   \&quot;AddressModified\&quot;: true,  &gt; &gt;   \&quot;Longitude\&quot;: 441753.0,  &gt; &gt;   \&quot;Latitude\&quot;: 441754.0,  &gt; &gt;   \&quot;Supplement\&quot;: \&quot;sample string 441755\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441756,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441757,  &gt; &gt;   \&quot;Version\&quot;: 441758,  &gt; &gt;   \&quot;LanguageId\&quot;: 441759  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the Address
     * @param {Object} dto 
     * @param {module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiAddress20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putAddressidV20 = function(id, dto, callback) {
      var postBody = dto;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling putBasicsPublicapiAddress20id";
      }

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putBasicsPublicapiAddress20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/address/2.0/{id}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putBasicsPublicapiTelephonenumber20 operation.
     * @callback module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiTelephonenumber20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type telephone number.
     * # Summary    &gt; Updates an existing item of type telephone number.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. There are no comments for Iso3 in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for CountryDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441846,  &gt; &gt;   \&quot;CountryId\&quot;: 441847,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441851\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441852\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441853\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441854\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441855\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441858  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441860,  &gt; &gt;   \&quot;CountryId\&quot;: 441861,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441862\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441863\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441864\&quot;,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441865\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441866\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441867\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441868\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441869\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441870,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441871,  &gt; &gt;   \&quot;Version\&quot;: 441872,  &gt; &gt;   \&quot;LanguageId\&quot;: 441873  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto 
     * @param {module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiTelephonenumber20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putTelephonenumberV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putBasicsPublicapiTelephonenumber20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putBasicsPublicapiTelephonenumber20id operation.
     * @callback module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiTelephonenumber20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type telephone number.
     * # Summary    &gt; Updates an existing item of type telephone number.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for CountryId in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2]. Iso2 of the Country &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Iso3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Iso3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. There are no comments for Iso3 in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CountryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CountryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for CountryDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.AreaCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; AreaCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. AreaCode of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PhoneNumber\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PhoneNumber &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. PhoneNumber of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Extention\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Extention &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Extention of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CommentText\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CommentText &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. CommentText of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Telephone\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Telephone &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,100]. Telephone of the TelephoneNumber &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;CountryId\&quot;: 441917,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441921\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441922\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441923\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441924\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441925\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 441928  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 441930,  &gt; &gt;   \&quot;CountryId\&quot;: 441931,  &gt; &gt;   \&quot;Iso2\&quot;: \&quot;sample string 441932\&quot;,  &gt; &gt;   \&quot;Iso3\&quot;: \&quot;sample string 441933\&quot;,  &gt; &gt;   \&quot;CountryDescription\&quot;: \&quot;sample string 441934\&quot;,  &gt; &gt;   \&quot;AreaCode\&quot;: \&quot;sample string 441935\&quot;,  &gt; &gt;   \&quot;PhoneNumber\&quot;: \&quot;sample string 441936\&quot;,  &gt; &gt;   \&quot;Extention\&quot;: \&quot;sample string 441937\&quot;,  &gt; &gt;   \&quot;CommentText\&quot;: \&quot;sample string 441938\&quot;,  &gt; &gt;   \&quot;Telephone\&quot;: \&quot;sample string 441939\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 441940,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 441941,  &gt; &gt;   \&quot;Version\&quot;: 441942,  &gt; &gt;   \&quot;LanguageId\&quot;: 441943  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the TelephoneNumber
     * @param {Object} dto 
     * @param {module:Api.Resources/BasicspublicapivApi~putBasicsPublicapiTelephonenumber20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putTelephonenumberidV20 = function(id, dto, callback) {
      var postBody = dto;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling putBasicsPublicapiTelephonenumber20id";
      }

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putBasicsPublicapiTelephonenumber20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/basics/publicapi/telephonenumber/2.0/{id}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
