/**
 * iTWO 4.0 API
 * No descripton provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.ITwo40Api) {
      root.ITwo40Api = {};
    }
    root.ITwo40Api.DefectpublicapivApi = factory(root.ITwo40Api.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * Defectpublicapiv service.
   * @module Api.Resources/DefectpublicapivApi
   * @version v1
   */

  /**
   * Constructs a new DefectpublicapivApi. 
   * @alias module:Api.Resources/DefectpublicapivApi
   * @class
   * @param {module:ApiClient} apiClient Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the deleteDefectPublicapiDefect20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDefect20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type defect.
     * # Summary    &gt; Deletes an item of type defect.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.id Id of the defect
     * @param {module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDefect20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteDefectV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'id': opts['id']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0?id={id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteDefectPublicapiDefect20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDefect20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type defect.
     * # Summary    &gt; Deletes an item of type defect.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Integer} id Id of the defect
     * @param {module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDefect20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteDefectidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling deleteDefectPublicapiDefect20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0/{id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteDefectPublicapiDocument20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDocument20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type document.
     * # Summary    &gt; Deletes an item of type document.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.id Id of defect document
     * @param {module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDocument20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteDocumentV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'id': opts['id']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0?id={id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteDefectPublicapiDocument20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDocument20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type document.
     * # Summary    &gt; Deletes an item of type document.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Integer} id Id of defect document
     * @param {module:Api.Resources/DefectpublicapivApi~deleteDefectPublicapiDocument20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteDocumentidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling deleteDefectPublicapiDocument20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0/{id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getDefectPublicapiDefect20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDefect20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns items of type defect as specified by OData arguments.
     * # Summary    &gt; Returns items of type defect as specified by OData arguments.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;This endpoint allows for retrieving items based on a subset of the parameters specified by the [OData URL conventions](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part2-url-conventions.html). The following parameters are supported:&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $skip                   &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the number of items from the result set to skip before the first item to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $top                    &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the maximum number of items to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $select                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $orderBy                &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to order the result set by. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $filter                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Any filter restrictions for the result set. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Array&amp;lt;Object&amp;gt; } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for DefectTypeDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectNo\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectNo &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Number of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Currency\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Currency &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerName1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerName1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name1 of responsible Business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerMatchCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerMatchCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Match code of responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFirstName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFirstName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. First name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFamilyName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFamilyName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Family name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of response clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. description of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; [  &gt; &gt;   {  &gt; &gt;     \&quot;Id\&quot;: 446184,  &gt; &gt;     \&quot;Code\&quot;: \&quot;sample string 446185\&quot;,  &gt; &gt;     \&quot;Description\&quot;: \&quot;sample string 446186\&quot;,  &gt; &gt;     \&quot;StatusId\&quot;: 446187,  &gt; &gt;     \&quot;StatusDescription\&quot;: \&quot;sample string 446188\&quot;,  &gt; &gt;     \&quot;DefectTypeId\&quot;: 446189,  &gt; &gt;     \&quot;DefectTypeDescription\&quot;: \&quot;sample string 446190\&quot;,  &gt; &gt;     \&quot;PrcStructureId\&quot;: 446191,  &gt; &gt;     \&quot;PrcStructureCode\&quot;: \&quot;sample string 446192\&quot;,  &gt; &gt;     \&quot;PrcStructureDescription\&quot;: \&quot;sample string 446193\&quot;,  &gt; &gt;     \&quot;GroupId\&quot;: 446194,  &gt; &gt;     \&quot;GroupDescription\&quot;: \&quot;sample string 446195\&quot;,  &gt; &gt;     \&quot;DefectId\&quot;: 446196,  &gt; &gt;     \&quot;DefectCode\&quot;: \&quot;sample string 446197\&quot;,  &gt; &gt;     \&quot;DefectDescription\&quot;: \&quot;sample string 446198\&quot;,  &gt; &gt;     \&quot;ProjectId\&quot;: 446199,  &gt; &gt;     \&quot;PrjProjectNo\&quot;: \&quot;sample string 446200\&quot;,  &gt; &gt;     \&quot;PrjProjectName\&quot;: \&quot;sample string 446201\&quot;,  &gt; &gt;     \&quot;CompanyId\&quot;: 446202,  &gt; &gt;     \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;     \&quot;LocationId\&quot;: 446203,  &gt; &gt;     \&quot;LocationCode\&quot;: \&quot;sample string 446204\&quot;,  &gt; &gt;     \&quot;LocationDescription\&quot;: \&quot;sample string 446205\&quot;,  &gt; &gt;     \&quot;ConHeaderId\&quot;: 446206,  &gt; &gt;     \&quot;ConHeaderCode\&quot;: \&quot;sample string 446207\&quot;,  &gt; &gt;     \&quot;ConHeaderDescription\&quot;: \&quot;sample string 446208\&quot;,  &gt; &gt;     \&quot;OrdHeaderId\&quot;: 446209,  &gt; &gt;     \&quot;OrdHeaderCode\&quot;: \&quot;sample string 446210\&quot;,  &gt; &gt;     \&quot;OrdHeaderDescription\&quot;: \&quot;sample string 446211\&quot;,  &gt; &gt;     \&quot;DefectPriorityId\&quot;: 446212,  &gt; &gt;     \&quot;DefectPriorityDescription\&quot;: \&quot;sample string 446213\&quot;,  &gt; &gt;     \&quot;DefectSeverityId\&quot;: 446214,  &gt; &gt;     \&quot;DefectSeverityDescription\&quot;: \&quot;sample string 446215\&quot;,  &gt; &gt;     \&quot;ScheduleId\&quot;: 446216,  &gt; &gt;     \&quot;ScheduleCode\&quot;: \&quot;sample string 446217\&quot;,  &gt; &gt;     \&quot;ScheduleDescription\&quot;: \&quot;sample string 446218\&quot;,  &gt; &gt;     \&quot;ActivityId\&quot;: 446219,  &gt; &gt;     \&quot;ActivityCode\&quot;: \&quot;sample string 446220\&quot;,  &gt; &gt;     \&quot;ActivityDescription\&quot;: \&quot;sample string 446221\&quot;,  &gt; &gt;     \&quot;ControllingUnitId\&quot;: 446222,  &gt; &gt;     \&quot;ControllingUnitCode\&quot;: \&quot;sample string 446223\&quot;,  &gt; &gt;     \&quot;ControllingUnitDescription\&quot;: \&quot;sample string 446224\&quot;,  &gt; &gt;     \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;WarrantyStatusId\&quot;: 446228,  &gt; &gt;     \&quot;WarrantyStatusDescription\&quot;: \&quot;sample string 446229\&quot;,  &gt; &gt;     \&quot;Currency\&quot;: \&quot;sample string 446230\&quot;,  &gt; &gt;     \&quot;EstimateCost\&quot;: 446231.0,  &gt; &gt;     \&quot;CurrencyId\&quot;: 446232,  &gt; &gt;     \&quot;CurrencyDescription\&quot;: \&quot;sample string 446233\&quot;,  &gt; &gt;     \&quot;ClerkId\&quot;: 446234,  &gt; &gt;     \&quot;ClerkCode\&quot;: \&quot;sample string 446235\&quot;,  &gt; &gt;     \&quot;ClerkDescription\&quot;: \&quot;sample string 446236\&quot;,  &gt; &gt;     \&quot;RaisedbyId\&quot;: 446237,  &gt; &gt;     \&quot;RaisedbyDescription\&quot;: \&quot;sample string 446238\&quot;,  &gt; &gt;     \&quot;BasBlobsId\&quot;: 446239,  &gt; &gt;     \&quot;BusinesspartnerName1\&quot;: \&quot;sample string 446240\&quot;,  &gt; &gt;     \&quot;BusinesspartnerMatchCode\&quot;: \&quot;sample string 446241\&quot;,  &gt; &gt;     \&quot;Detail\&quot;: \&quot;sample string 446242\&quot;,  &gt; &gt;     \&quot;BusinesspartnerId\&quot;: 446243,  &gt; &gt;     \&quot;ContactFirstName\&quot;: \&quot;sample string 446244\&quot;,  &gt; &gt;     \&quot;ContactFamilyName\&quot;: \&quot;sample string 446245\&quot;,  &gt; &gt;     \&quot;SubsidiaryId\&quot;: 446246,  &gt; &gt;     \&quot;SubsidiaryDescription\&quot;: \&quot;sample string 446247\&quot;,  &gt; &gt;     \&quot;ContactId\&quot;: 446248,  &gt; &gt;     \&quot;ClerkRespId\&quot;: 446249,  &gt; &gt;     \&quot;ClerkRespCode\&quot;: \&quot;sample string 446250\&quot;,  &gt; &gt;     \&quot;ClerkRespDescription\&quot;: \&quot;sample string 446251\&quot;,  &gt; &gt;     \&quot;IsExternal\&quot;: true,  &gt; &gt;     \&quot;ModelId\&quot;: 446253,  &gt; &gt;     \&quot;MarkerId\&quot;: 446254,  &gt; &gt;     \&quot;ObjectSetId\&quot;: 446255,  &gt; &gt;     \&quot;ObjectSetDescription\&quot;: \&quot;sample string 446256\&quot;,  &gt; &gt;     \&quot;PesHeaderId\&quot;: 446257,  &gt; &gt;     \&quot;PesHeaderCode\&quot;: \&quot;sample string 446258\&quot;,  &gt; &gt;     \&quot;PesHeaderDescription\&quot;: \&quot;sample string 446259\&quot;,  &gt; &gt;     \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.6086738Z\&quot;,  &gt; &gt;     \&quot;UserDefined1\&quot;: \&quot;sample string 446265\&quot;,  &gt; &gt;     \&quot;UserDefined2\&quot;: \&quot;sample string 446266\&quot;,  &gt; &gt;     \&quot;UserDefined3\&quot;: \&quot;sample string 446267\&quot;,  &gt; &gt;     \&quot;UserDefined4\&quot;: \&quot;sample string 446268\&quot;,  &gt; &gt;     \&quot;UserDefined5\&quot;: \&quot;sample string 446269\&quot;,  &gt; &gt;     \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;InsertedBy\&quot;: 446270,  &gt; &gt;     \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;UpdatedBy\&quot;: 446271,  &gt; &gt;     \&quot;Version\&quot;: 446272,  &gt; &gt;     \&quot;RubricCategoryId\&quot;: 446273,  &gt; &gt;     \&quot;RubricCategoryDescription\&quot;: \&quot;sample string 446274\&quot;,  &gt; &gt;     \&quot;EstimateLaborHours\&quot;: 446275.0,  &gt; &gt;     \&quot;LanguageId\&quot;: 446276  &gt; &gt;   }  &gt; &gt; ]  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.skip Indicates the number of items from the result set to skip before the first item to return.
     * @param {Integer} opts.top Indicates the maximum number of items to return.
     * @param {String} opts.select A comma-separated list of one or more properties of the result object to return.
     * @param {String} opts.orderBy A comma-separated list of one or more properties of the result object to order the result set by.
     * @param {String} opts.filter Any filter restrictions for the result set.
     * @param {module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDefect20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getDefectV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        '$skip': opts['skip'],
        '$top': opts['top'],
        '$select': opts['select'],
        '$orderBy': opts['orderBy'],
        '$filter': opts['filter']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getDefectPublicapiDefect20Lastchanged operation.
     * @callback module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDefect20LastchangedCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type defect.
     * # Summary    &gt; Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type defect.  # Description  &gt; No parameters  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; \&quot;2020-05-22T06:16:17.0440634Z\&quot;  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDefect20LastchangedCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getDefectLastchangedV20 = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0/lastchanged', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getDefectPublicapiDefect20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDefect20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Retrieves an item of type defect based on its ID.
     * # Summary    &gt; Retrieves an item of type defect based on its ID.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for DefectTypeDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectNo\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectNo &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Number of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Currency\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Currency &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerName1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerName1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name1 of responsible Business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerMatchCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerMatchCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Match code of responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFirstName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFirstName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. First name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFamilyName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFamilyName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Family name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of response clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. description of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 446835,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446836\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446837\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446838,  &gt; &gt;   \&quot;StatusDescription\&quot;: \&quot;sample string 446839\&quot;,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446840,  &gt; &gt;   \&quot;DefectTypeDescription\&quot;: \&quot;sample string 446841\&quot;,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446842,  &gt; &gt;   \&quot;PrcStructureCode\&quot;: \&quot;sample string 446843\&quot;,  &gt; &gt;   \&quot;PrcStructureDescription\&quot;: \&quot;sample string 446844\&quot;,  &gt; &gt;   \&quot;GroupId\&quot;: 446845,  &gt; &gt;   \&quot;GroupDescription\&quot;: \&quot;sample string 446846\&quot;,  &gt; &gt;   \&quot;DefectId\&quot;: 446847,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 446848\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 446849\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 446850,  &gt; &gt;   \&quot;PrjProjectNo\&quot;: \&quot;sample string 446851\&quot;,  &gt; &gt;   \&quot;PrjProjectName\&quot;: \&quot;sample string 446852\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 446853,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 446854,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 446855\&quot;,  &gt; &gt;   \&quot;LocationDescription\&quot;: \&quot;sample string 446856\&quot;,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446857,  &gt; &gt;   \&quot;ConHeaderCode\&quot;: \&quot;sample string 446858\&quot;,  &gt; &gt;   \&quot;ConHeaderDescription\&quot;: \&quot;sample string 446859\&quot;,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446860,  &gt; &gt;   \&quot;OrdHeaderCode\&quot;: \&quot;sample string 446861\&quot;,  &gt; &gt;   \&quot;OrdHeaderDescription\&quot;: \&quot;sample string 446862\&quot;,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446863,  &gt; &gt;   \&quot;DefectPriorityDescription\&quot;: \&quot;sample string 446864\&quot;,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446865,  &gt; &gt;   \&quot;DefectSeverityDescription\&quot;: \&quot;sample string 446866\&quot;,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446867,  &gt; &gt;   \&quot;ScheduleCode\&quot;: \&quot;sample string 446868\&quot;,  &gt; &gt;   \&quot;ScheduleDescription\&quot;: \&quot;sample string 446869\&quot;,  &gt; &gt;   \&quot;ActivityId\&quot;: 446870,  &gt; &gt;   \&quot;ActivityCode\&quot;: \&quot;sample string 446871\&quot;,  &gt; &gt;   \&quot;ActivityDescription\&quot;: \&quot;sample string 446872\&quot;,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446873,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 446874\&quot;,  &gt; &gt;   \&quot;ControllingUnitDescription\&quot;: \&quot;sample string 446875\&quot;,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446879,  &gt; &gt;   \&quot;WarrantyStatusDescription\&quot;: \&quot;sample string 446880\&quot;,  &gt; &gt;   \&quot;Currency\&quot;: \&quot;sample string 446881\&quot;,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446882.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446883,  &gt; &gt;   \&quot;CurrencyDescription\&quot;: \&quot;sample string 446884\&quot;,  &gt; &gt;   \&quot;ClerkId\&quot;: 446885,  &gt; &gt;   \&quot;ClerkCode\&quot;: \&quot;sample string 446886\&quot;,  &gt; &gt;   \&quot;ClerkDescription\&quot;: \&quot;sample string 446887\&quot;,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446888,  &gt; &gt;   \&quot;RaisedbyDescription\&quot;: \&quot;sample string 446889\&quot;,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446890,  &gt; &gt;   \&quot;BusinesspartnerName1\&quot;: \&quot;sample string 446891\&quot;,  &gt; &gt;   \&quot;BusinesspartnerMatchCode\&quot;: \&quot;sample string 446892\&quot;,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446893\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446894,  &gt; &gt;   \&quot;ContactFirstName\&quot;: \&quot;sample string 446895\&quot;,  &gt; &gt;   \&quot;ContactFamilyName\&quot;: \&quot;sample string 446896\&quot;,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446897,  &gt; &gt;   \&quot;SubsidiaryDescription\&quot;: \&quot;sample string 446898\&quot;,  &gt; &gt;   \&quot;ContactId\&quot;: 446899,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446900,  &gt; &gt;   \&quot;ClerkRespCode\&quot;: \&quot;sample string 446901\&quot;,  &gt; &gt;   \&quot;ClerkRespDescription\&quot;: \&quot;sample string 446902\&quot;,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446904,  &gt; &gt;   \&quot;MarkerId\&quot;: 446905,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446906,  &gt; &gt;   \&quot;ObjectSetDescription\&quot;: \&quot;sample string 446907\&quot;,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 446908,  &gt; &gt;   \&quot;PesHeaderCode\&quot;: \&quot;sample string 446909\&quot;,  &gt; &gt;   \&quot;PesHeaderDescription\&quot;: \&quot;sample string 446910\&quot;,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.7649263Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 446916\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 446917\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 446918\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 446919\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 446920\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 446921,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 446922,  &gt; &gt;   \&quot;Version\&quot;: 446923,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 446924,  &gt; &gt;   \&quot;RubricCategoryDescription\&quot;: \&quot;sample string 446925\&quot;,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 446926.0,  &gt; &gt;   \&quot;LanguageId\&quot;: 446927  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the defect
     * @param {module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDefect20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getDefectidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling getDefectPublicapiDefect20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getDefectPublicapiDocument20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDocument20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns items of type document as specified by OData arguments.
     * # Summary    &gt; Returns items of type document as specified by OData arguments.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;This endpoint allows for retrieving items based on a subset of the parameters specified by the [OData URL conventions](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part2-url-conventions.html). The following parameters are supported:&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $skip                   &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the number of items from the result set to skip before the first item to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $top                    &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the maximum number of items to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $select                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $orderBy                &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to order the result set by. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $filter                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Any filter restrictions for the result set. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Array&amp;lt;Object&amp;gt; } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveOriginFileName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveOriginFileName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Origin file name &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; [  &gt; &gt;   {  &gt; &gt;     \&quot;Id\&quot;: 447300,  &gt; &gt;     \&quot;DefectId\&quot;: 447301,  &gt; &gt;     \&quot;DefectCode\&quot;: \&quot;sample string 447302\&quot;,  &gt; &gt;     \&quot;DefectDescription\&quot;: \&quot;sample string 447303\&quot;,  &gt; &gt;     \&quot;DocumentTypeId\&quot;: 447304,  &gt; &gt;     \&quot;DocumentTypeDescription\&quot;: \&quot;sample string 447305\&quot;,  &gt; &gt;     \&quot;DefectDocumentTypeId\&quot;: 447306,  &gt; &gt;     \&quot;DefectDocumentTypeDescription\&quot;: \&quot;sample string 447307\&quot;,  &gt; &gt;     \&quot;Description\&quot;: \&quot;sample string 447308\&quot;,  &gt; &gt;     \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.8743042Z\&quot;,  &gt; &gt;     \&quot;FileArchiveId\&quot;: 447310,  &gt; &gt;     \&quot;FileArchiveOriginFileName\&quot;: \&quot;sample string 447311\&quot;,  &gt; &gt;     \&quot;FileArchiveDescription\&quot;: \&quot;sample string 447312\&quot;,  &gt; &gt;     \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;InsertedBy\&quot;: 447313,  &gt; &gt;     \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;UpdatedBy\&quot;: 447314,  &gt; &gt;     \&quot;Version\&quot;: 447315,  &gt; &gt;     \&quot;LanguageId\&quot;: 447316  &gt; &gt;   }  &gt; &gt; ]  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.skip Indicates the number of items from the result set to skip before the first item to return.
     * @param {Integer} opts.top Indicates the maximum number of items to return.
     * @param {String} opts.select A comma-separated list of one or more properties of the result object to return.
     * @param {String} opts.orderBy A comma-separated list of one or more properties of the result object to order the result set by.
     * @param {String} opts.filter Any filter restrictions for the result set.
     * @param {module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDocument20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getDocumentV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        '$skip': opts['skip'],
        '$top': opts['top'],
        '$select': opts['select'],
        '$orderBy': opts['orderBy'],
        '$filter': opts['filter']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getDefectPublicapiDocument20Lastchanged operation.
     * @callback module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDocument20LastchangedCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type document.
     * # Summary    &gt; Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type document.  # Description  &gt; No parameters  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; \&quot;2020-05-22T06:16:17.2784361Z\&quot;  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDocument20LastchangedCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getDocumentLastchangedV20 = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0/lastchanged', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getDefectPublicapiDocument20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDocument20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Retrieves an item of type document based on its ID.
     * # Summary    &gt; Retrieves an item of type document based on its ID.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveOriginFileName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveOriginFileName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Origin file name &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447419,  &gt; &gt;   \&quot;DefectId\&quot;: 447420,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447421\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447422\&quot;,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447423,  &gt; &gt;   \&quot;DocumentTypeDescription\&quot;: \&quot;sample string 447424\&quot;,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447425,  &gt; &gt;   \&quot;DefectDocumentTypeDescription\&quot;: \&quot;sample string 447426\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447427\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.9211801Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447429,  &gt; &gt;   \&quot;FileArchiveOriginFileName\&quot;: \&quot;sample string 447430\&quot;,  &gt; &gt;   \&quot;FileArchiveDescription\&quot;: \&quot;sample string 447431\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447432,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447433,  &gt; &gt;   \&quot;Version\&quot;: 447434,  &gt; &gt;   \&quot;LanguageId\&quot;: 447435  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of defect document
     * @param {module:Api.Resources/DefectpublicapivApi~getDefectPublicapiDocument20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getDocumentidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling getDefectPublicapiDocument20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchDefectPublicapiDefect20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDefect20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type defect.
     * # Summary    &gt; Patches an existing item of type defect.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for DefectTypeDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectNo\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectNo &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Number of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Currency\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Currency &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerName1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerName1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name1 of responsible Business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerMatchCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerMatchCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Match code of responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFirstName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFirstName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. First name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFamilyName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFamilyName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Family name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of response clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. description of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 446649,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446650\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446651\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446652,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446654,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446656,  &gt; &gt;   \&quot;GroupId\&quot;: 446659,  &gt; &gt;   \&quot;DefectId\&quot;: 446661,  &gt; &gt;   \&quot;ProjectId\&quot;: 446664,  &gt; &gt;   \&quot;CompanyId\&quot;: 446667,  &gt; &gt;   \&quot;LocationId\&quot;: 446668,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446671,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446674,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446677,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446679,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446681,  &gt; &gt;   \&quot;ActivityId\&quot;: 446684,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446687,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446693,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446696.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446697,  &gt; &gt;   \&quot;ClerkId\&quot;: 446699,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446702,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446704,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446707\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446708,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446711,  &gt; &gt;   \&quot;ContactId\&quot;: 446713,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446714,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446718,  &gt; &gt;   \&quot;MarkerId\&quot;: 446719,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446720,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 446722,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.7180501Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 446730\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 446731\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 446732\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 446733\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 446734\&quot;,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 446738,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 446740.0  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 446742,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446743\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446744\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446745,  &gt; &gt;   \&quot;StatusDescription\&quot;: \&quot;sample string 446746\&quot;,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446747,  &gt; &gt;   \&quot;DefectTypeDescription\&quot;: \&quot;sample string 446748\&quot;,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446749,  &gt; &gt;   \&quot;PrcStructureCode\&quot;: \&quot;sample string 446750\&quot;,  &gt; &gt;   \&quot;PrcStructureDescription\&quot;: \&quot;sample string 446751\&quot;,  &gt; &gt;   \&quot;GroupId\&quot;: 446752,  &gt; &gt;   \&quot;GroupDescription\&quot;: \&quot;sample string 446753\&quot;,  &gt; &gt;   \&quot;DefectId\&quot;: 446754,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 446755\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 446756\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 446757,  &gt; &gt;   \&quot;PrjProjectNo\&quot;: \&quot;sample string 446758\&quot;,  &gt; &gt;   \&quot;PrjProjectName\&quot;: \&quot;sample string 446759\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 446760,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 446761,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 446762\&quot;,  &gt; &gt;   \&quot;LocationDescription\&quot;: \&quot;sample string 446763\&quot;,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446764,  &gt; &gt;   \&quot;ConHeaderCode\&quot;: \&quot;sample string 446765\&quot;,  &gt; &gt;   \&quot;ConHeaderDescription\&quot;: \&quot;sample string 446766\&quot;,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446767,  &gt; &gt;   \&quot;OrdHeaderCode\&quot;: \&quot;sample string 446768\&quot;,  &gt; &gt;   \&quot;OrdHeaderDescription\&quot;: \&quot;sample string 446769\&quot;,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446770,  &gt; &gt;   \&quot;DefectPriorityDescription\&quot;: \&quot;sample string 446771\&quot;,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446772,  &gt; &gt;   \&quot;DefectSeverityDescription\&quot;: \&quot;sample string 446773\&quot;,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446774,  &gt; &gt;   \&quot;ScheduleCode\&quot;: \&quot;sample string 446775\&quot;,  &gt; &gt;   \&quot;ScheduleDescription\&quot;: \&quot;sample string 446776\&quot;,  &gt; &gt;   \&quot;ActivityId\&quot;: 446777,  &gt; &gt;   \&quot;ActivityCode\&quot;: \&quot;sample string 446778\&quot;,  &gt; &gt;   \&quot;ActivityDescription\&quot;: \&quot;sample string 446779\&quot;,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446780,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 446781\&quot;,  &gt; &gt;   \&quot;ControllingUnitDescription\&quot;: \&quot;sample string 446782\&quot;,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446786,  &gt; &gt;   \&quot;WarrantyStatusDescription\&quot;: \&quot;sample string 446787\&quot;,  &gt; &gt;   \&quot;Currency\&quot;: \&quot;sample string 446788\&quot;,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446789.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446790,  &gt; &gt;   \&quot;CurrencyDescription\&quot;: \&quot;sample string 446791\&quot;,  &gt; &gt;   \&quot;ClerkId\&quot;: 446792,  &gt; &gt;   \&quot;ClerkCode\&quot;: \&quot;sample string 446793\&quot;,  &gt; &gt;   \&quot;ClerkDescription\&quot;: \&quot;sample string 446794\&quot;,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446795,  &gt; &gt;   \&quot;RaisedbyDescription\&quot;: \&quot;sample string 446796\&quot;,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446797,  &gt; &gt;   \&quot;BusinesspartnerName1\&quot;: \&quot;sample string 446798\&quot;,  &gt; &gt;   \&quot;BusinesspartnerMatchCode\&quot;: \&quot;sample string 446799\&quot;,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446800\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446801,  &gt; &gt;   \&quot;ContactFirstName\&quot;: \&quot;sample string 446802\&quot;,  &gt; &gt;   \&quot;ContactFamilyName\&quot;: \&quot;sample string 446803\&quot;,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446804,  &gt; &gt;   \&quot;SubsidiaryDescription\&quot;: \&quot;sample string 446805\&quot;,  &gt; &gt;   \&quot;ContactId\&quot;: 446806,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446807,  &gt; &gt;   \&quot;ClerkRespCode\&quot;: \&quot;sample string 446808\&quot;,  &gt; &gt;   \&quot;ClerkRespDescription\&quot;: \&quot;sample string 446809\&quot;,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446811,  &gt; &gt;   \&quot;MarkerId\&quot;: 446812,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446813,  &gt; &gt;   \&quot;ObjectSetDescription\&quot;: \&quot;sample string 446814\&quot;,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 446815,  &gt; &gt;   \&quot;PesHeaderCode\&quot;: \&quot;sample string 446816\&quot;,  &gt; &gt;   \&quot;PesHeaderDescription\&quot;: \&quot;sample string 446817\&quot;,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.7336763Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 446823\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 446824\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 446825\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 446826\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 446827\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 446828,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 446829,  &gt; &gt;   \&quot;Version\&quot;: 446830,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 446831,  &gt; &gt;   \&quot;RubricCategoryDescription\&quot;: \&quot;sample string 446832\&quot;,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 446833.0,  &gt; &gt;   \&quot;LanguageId\&quot;: 446834  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} data 
     * @param {module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDefect20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchDefectV20 = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchDefectPublicapiDefect20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchDefectPublicapiDefect20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDefect20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type defect.
     * # Summary    &gt; Patches an existing item of type defect.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for DefectTypeDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectNo\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectNo &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Number of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Currency\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Currency &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerName1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerName1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name1 of responsible Business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerMatchCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerMatchCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Match code of responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFirstName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFirstName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. First name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFamilyName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFamilyName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Family name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of response clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. description of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 447115\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447116\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 447117,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 447119,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 447121,  &gt; &gt;   \&quot;GroupId\&quot;: 447124,  &gt; &gt;   \&quot;DefectId\&quot;: 447126,  &gt; &gt;   \&quot;ProjectId\&quot;: 447129,  &gt; &gt;   \&quot;CompanyId\&quot;: 447132,  &gt; &gt;   \&quot;LocationId\&quot;: 447133,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 447136,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 447139,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 447142,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 447144,  &gt; &gt;   \&quot;ScheduleId\&quot;: 447146,  &gt; &gt;   \&quot;ActivityId\&quot;: 447149,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 447152,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 447158,  &gt; &gt;   \&quot;EstimateCost\&quot;: 447161.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 447162,  &gt; &gt;   \&quot;ClerkId\&quot;: 447164,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 447167,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 447169,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 447172\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 447173,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 447176,  &gt; &gt;   \&quot;ContactId\&quot;: 447178,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 447179,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 447183,  &gt; &gt;   \&quot;MarkerId\&quot;: 447184,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 447185,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 447187,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.8430531Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 447195\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 447196\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 447197\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 447198\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 447199\&quot;,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 447203,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 447205.0  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447207,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 447208\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447209\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 447210,  &gt; &gt;   \&quot;StatusDescription\&quot;: \&quot;sample string 447211\&quot;,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 447212,  &gt; &gt;   \&quot;DefectTypeDescription\&quot;: \&quot;sample string 447213\&quot;,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 447214,  &gt; &gt;   \&quot;PrcStructureCode\&quot;: \&quot;sample string 447215\&quot;,  &gt; &gt;   \&quot;PrcStructureDescription\&quot;: \&quot;sample string 447216\&quot;,  &gt; &gt;   \&quot;GroupId\&quot;: 447217,  &gt; &gt;   \&quot;GroupDescription\&quot;: \&quot;sample string 447218\&quot;,  &gt; &gt;   \&quot;DefectId\&quot;: 447219,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447220\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447221\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 447222,  &gt; &gt;   \&quot;PrjProjectNo\&quot;: \&quot;sample string 447223\&quot;,  &gt; &gt;   \&quot;PrjProjectName\&quot;: \&quot;sample string 447224\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 447225,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 447226,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 447227\&quot;,  &gt; &gt;   \&quot;LocationDescription\&quot;: \&quot;sample string 447228\&quot;,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 447229,  &gt; &gt;   \&quot;ConHeaderCode\&quot;: \&quot;sample string 447230\&quot;,  &gt; &gt;   \&quot;ConHeaderDescription\&quot;: \&quot;sample string 447231\&quot;,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 447232,  &gt; &gt;   \&quot;OrdHeaderCode\&quot;: \&quot;sample string 447233\&quot;,  &gt; &gt;   \&quot;OrdHeaderDescription\&quot;: \&quot;sample string 447234\&quot;,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 447235,  &gt; &gt;   \&quot;DefectPriorityDescription\&quot;: \&quot;sample string 447236\&quot;,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 447237,  &gt; &gt;   \&quot;DefectSeverityDescription\&quot;: \&quot;sample string 447238\&quot;,  &gt; &gt;   \&quot;ScheduleId\&quot;: 447239,  &gt; &gt;   \&quot;ScheduleCode\&quot;: \&quot;sample string 447240\&quot;,  &gt; &gt;   \&quot;ScheduleDescription\&quot;: \&quot;sample string 447241\&quot;,  &gt; &gt;   \&quot;ActivityId\&quot;: 447242,  &gt; &gt;   \&quot;ActivityCode\&quot;: \&quot;sample string 447243\&quot;,  &gt; &gt;   \&quot;ActivityDescription\&quot;: \&quot;sample string 447244\&quot;,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 447245,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 447246\&quot;,  &gt; &gt;   \&quot;ControllingUnitDescription\&quot;: \&quot;sample string 447247\&quot;,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 447251,  &gt; &gt;   \&quot;WarrantyStatusDescription\&quot;: \&quot;sample string 447252\&quot;,  &gt; &gt;   \&quot;Currency\&quot;: \&quot;sample string 447253\&quot;,  &gt; &gt;   \&quot;EstimateCost\&quot;: 447254.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 447255,  &gt; &gt;   \&quot;CurrencyDescription\&quot;: \&quot;sample string 447256\&quot;,  &gt; &gt;   \&quot;ClerkId\&quot;: 447257,  &gt; &gt;   \&quot;ClerkCode\&quot;: \&quot;sample string 447258\&quot;,  &gt; &gt;   \&quot;ClerkDescription\&quot;: \&quot;sample string 447259\&quot;,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 447260,  &gt; &gt;   \&quot;RaisedbyDescription\&quot;: \&quot;sample string 447261\&quot;,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 447262,  &gt; &gt;   \&quot;BusinesspartnerName1\&quot;: \&quot;sample string 447263\&quot;,  &gt; &gt;   \&quot;BusinesspartnerMatchCode\&quot;: \&quot;sample string 447264\&quot;,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 447265\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 447266,  &gt; &gt;   \&quot;ContactFirstName\&quot;: \&quot;sample string 447267\&quot;,  &gt; &gt;   \&quot;ContactFamilyName\&quot;: \&quot;sample string 447268\&quot;,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 447269,  &gt; &gt;   \&quot;SubsidiaryDescription\&quot;: \&quot;sample string 447270\&quot;,  &gt; &gt;   \&quot;ContactId\&quot;: 447271,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 447272,  &gt; &gt;   \&quot;ClerkRespCode\&quot;: \&quot;sample string 447273\&quot;,  &gt; &gt;   \&quot;ClerkRespDescription\&quot;: \&quot;sample string 447274\&quot;,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 447276,  &gt; &gt;   \&quot;MarkerId\&quot;: 447277,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 447278,  &gt; &gt;   \&quot;ObjectSetDescription\&quot;: \&quot;sample string 447279\&quot;,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 447280,  &gt; &gt;   \&quot;PesHeaderCode\&quot;: \&quot;sample string 447281\&quot;,  &gt; &gt;   \&quot;PesHeaderDescription\&quot;: \&quot;sample string 447282\&quot;,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.8586797Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 447288\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 447289\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 447290\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 447291\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 447292\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447293,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447294,  &gt; &gt;   \&quot;Version\&quot;: 447295,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 447296,  &gt; &gt;   \&quot;RubricCategoryDescription\&quot;: \&quot;sample string 447297\&quot;,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 447298.0,  &gt; &gt;   \&quot;LanguageId\&quot;: 447299  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the defect
     * @param {Object} data 
     * @param {module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDefect20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchDefectidV20 = function(id, data, callback) {
      var postBody = data;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling patchDefectPublicapiDefect20id";
      }

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchDefectPublicapiDefect20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0/{id}', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchDefectPublicapiDocument20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDocument20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type document.
     * # Summary    &gt; Patches an existing item of type document.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveOriginFileName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveOriginFileName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Origin file name &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447385,  &gt; &gt;   \&quot;DefectId\&quot;: 447386,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447389,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447391,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447393\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.905554Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447395  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447402,  &gt; &gt;   \&quot;DefectId\&quot;: 447403,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447404\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447405\&quot;,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447406,  &gt; &gt;   \&quot;DocumentTypeDescription\&quot;: \&quot;sample string 447407\&quot;,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447408,  &gt; &gt;   \&quot;DefectDocumentTypeDescription\&quot;: \&quot;sample string 447409\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447410\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.905554Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447412,  &gt; &gt;   \&quot;FileArchiveOriginFileName\&quot;: \&quot;sample string 447413\&quot;,  &gt; &gt;   \&quot;FileArchiveDescription\&quot;: \&quot;sample string 447414\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447415,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447416,  &gt; &gt;   \&quot;Version\&quot;: 447417,  &gt; &gt;   \&quot;LanguageId\&quot;: 447418  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} data 
     * @param {module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDocument20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchDocumentV20 = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchDefectPublicapiDocument20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchDefectPublicapiDocument20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDocument20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type document.
     * # Summary    &gt; Patches an existing item of type document.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveOriginFileName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveOriginFileName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Origin file name &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;DefectId\&quot;: 447471,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447474,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447476,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447478\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.9368045Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447480  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447487,  &gt; &gt;   \&quot;DefectId\&quot;: 447488,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447489\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447490\&quot;,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447491,  &gt; &gt;   \&quot;DocumentTypeDescription\&quot;: \&quot;sample string 447492\&quot;,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447493,  &gt; &gt;   \&quot;DefectDocumentTypeDescription\&quot;: \&quot;sample string 447494\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447495\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.9368045Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447497,  &gt; &gt;   \&quot;FileArchiveOriginFileName\&quot;: \&quot;sample string 447498\&quot;,  &gt; &gt;   \&quot;FileArchiveDescription\&quot;: \&quot;sample string 447499\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447500,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447501,  &gt; &gt;   \&quot;Version\&quot;: 447502,  &gt; &gt;   \&quot;LanguageId\&quot;: 447503  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of defect document
     * @param {Object} data 
     * @param {module:Api.Resources/DefectpublicapivApi~patchDefectPublicapiDocument20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchDocumentidV20 = function(id, data, callback) {
      var postBody = data;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling patchDefectPublicapiDocument20id";
      }

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchDefectPublicapiDocument20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0/{id}', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the postDefectPublicapiDefect20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~postDefectPublicapiDefect20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Creates a new item of type defect.
     * # Summary    &gt; Creates a new item of type defect.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } - The DTO with the initial data.&lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for DefectTypeDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectNo\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectNo &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Number of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Currency\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Currency &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerName1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerName1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name1 of responsible Business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerMatchCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerMatchCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Match code of responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFirstName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFirstName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. First name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFamilyName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFamilyName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Family name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of response clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. description of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446278\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446279\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446280,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446282,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446284,  &gt; &gt;   \&quot;GroupId\&quot;: 446287,  &gt; &gt;   \&quot;DefectId\&quot;: 446289,  &gt; &gt;   \&quot;ProjectId\&quot;: 446292,  &gt; &gt;   \&quot;CompanyId\&quot;: 446295,  &gt; &gt;   \&quot;LocationId\&quot;: 446296,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446299,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446302,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446305,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446307,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446309,  &gt; &gt;   \&quot;ActivityId\&quot;: 446312,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446315,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446321,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446324.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446325,  &gt; &gt;   \&quot;ClerkId\&quot;: 446327,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446330,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446332,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446335\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446336,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446339,  &gt; &gt;   \&quot;ContactId\&quot;: 446341,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446342,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446346,  &gt; &gt;   \&quot;MarkerId\&quot;: 446347,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446348,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 446350,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.6399247Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 446358\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 446359\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 446360\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 446361\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 446362\&quot;,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 446366,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 446368.0  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 446370,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446371\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446372\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446373,  &gt; &gt;   \&quot;StatusDescription\&quot;: \&quot;sample string 446374\&quot;,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446375,  &gt; &gt;   \&quot;DefectTypeDescription\&quot;: \&quot;sample string 446376\&quot;,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446377,  &gt; &gt;   \&quot;PrcStructureCode\&quot;: \&quot;sample string 446378\&quot;,  &gt; &gt;   \&quot;PrcStructureDescription\&quot;: \&quot;sample string 446379\&quot;,  &gt; &gt;   \&quot;GroupId\&quot;: 446380,  &gt; &gt;   \&quot;GroupDescription\&quot;: \&quot;sample string 446381\&quot;,  &gt; &gt;   \&quot;DefectId\&quot;: 446382,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 446383\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 446384\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 446385,  &gt; &gt;   \&quot;PrjProjectNo\&quot;: \&quot;sample string 446386\&quot;,  &gt; &gt;   \&quot;PrjProjectName\&quot;: \&quot;sample string 446387\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 446388,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 446389,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 446390\&quot;,  &gt; &gt;   \&quot;LocationDescription\&quot;: \&quot;sample string 446391\&quot;,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446392,  &gt; &gt;   \&quot;ConHeaderCode\&quot;: \&quot;sample string 446393\&quot;,  &gt; &gt;   \&quot;ConHeaderDescription\&quot;: \&quot;sample string 446394\&quot;,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446395,  &gt; &gt;   \&quot;OrdHeaderCode\&quot;: \&quot;sample string 446396\&quot;,  &gt; &gt;   \&quot;OrdHeaderDescription\&quot;: \&quot;sample string 446397\&quot;,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446398,  &gt; &gt;   \&quot;DefectPriorityDescription\&quot;: \&quot;sample string 446399\&quot;,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446400,  &gt; &gt;   \&quot;DefectSeverityDescription\&quot;: \&quot;sample string 446401\&quot;,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446402,  &gt; &gt;   \&quot;ScheduleCode\&quot;: \&quot;sample string 446403\&quot;,  &gt; &gt;   \&quot;ScheduleDescription\&quot;: \&quot;sample string 446404\&quot;,  &gt; &gt;   \&quot;ActivityId\&quot;: 446405,  &gt; &gt;   \&quot;ActivityCode\&quot;: \&quot;sample string 446406\&quot;,  &gt; &gt;   \&quot;ActivityDescription\&quot;: \&quot;sample string 446407\&quot;,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446408,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 446409\&quot;,  &gt; &gt;   \&quot;ControllingUnitDescription\&quot;: \&quot;sample string 446410\&quot;,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446414,  &gt; &gt;   \&quot;WarrantyStatusDescription\&quot;: \&quot;sample string 446415\&quot;,  &gt; &gt;   \&quot;Currency\&quot;: \&quot;sample string 446416\&quot;,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446417.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446418,  &gt; &gt;   \&quot;CurrencyDescription\&quot;: \&quot;sample string 446419\&quot;,  &gt; &gt;   \&quot;ClerkId\&quot;: 446420,  &gt; &gt;   \&quot;ClerkCode\&quot;: \&quot;sample string 446421\&quot;,  &gt; &gt;   \&quot;ClerkDescription\&quot;: \&quot;sample string 446422\&quot;,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446423,  &gt; &gt;   \&quot;RaisedbyDescription\&quot;: \&quot;sample string 446424\&quot;,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446425,  &gt; &gt;   \&quot;BusinesspartnerName1\&quot;: \&quot;sample string 446426\&quot;,  &gt; &gt;   \&quot;BusinesspartnerMatchCode\&quot;: \&quot;sample string 446427\&quot;,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446428\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446429,  &gt; &gt;   \&quot;ContactFirstName\&quot;: \&quot;sample string 446430\&quot;,  &gt; &gt;   \&quot;ContactFamilyName\&quot;: \&quot;sample string 446431\&quot;,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446432,  &gt; &gt;   \&quot;SubsidiaryDescription\&quot;: \&quot;sample string 446433\&quot;,  &gt; &gt;   \&quot;ContactId\&quot;: 446434,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446435,  &gt; &gt;   \&quot;ClerkRespCode\&quot;: \&quot;sample string 446436\&quot;,  &gt; &gt;   \&quot;ClerkRespDescription\&quot;: \&quot;sample string 446437\&quot;,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446439,  &gt; &gt;   \&quot;MarkerId\&quot;: 446440,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446441,  &gt; &gt;   \&quot;ObjectSetDescription\&quot;: \&quot;sample string 446442\&quot;,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 446443,  &gt; &gt;   \&quot;PesHeaderCode\&quot;: \&quot;sample string 446444\&quot;,  &gt; &gt;   \&quot;PesHeaderDescription\&quot;: \&quot;sample string 446445\&quot;,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.6555492Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 446451\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 446452\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 446453\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 446454\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 446455\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 446456,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 446457,  &gt; &gt;   \&quot;Version\&quot;: 446458,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 446459,  &gt; &gt;   \&quot;RubricCategoryDescription\&quot;: \&quot;sample string 446460\&quot;,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 446461.0,  &gt; &gt;   \&quot;LanguageId\&quot;: 446462  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto The DTO with the initial data.
     * @param {module:Api.Resources/DefectpublicapivApi~postDefectPublicapiDefect20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.postDefectV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling postDefectPublicapiDefect20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the postDefectPublicapiDocument20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~postDefectPublicapiDocument20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Creates a new item of type document.
     * # Summary    &gt; Creates a new item of type document.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } - The DTO with the initial data.&lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveOriginFileName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveOriginFileName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Origin file name &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;DefectId\&quot;: 447318,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447321,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447323,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447325\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.8899304Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447327  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447334,  &gt; &gt;   \&quot;DefectId\&quot;: 447335,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447336\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447337\&quot;,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447338,  &gt; &gt;   \&quot;DocumentTypeDescription\&quot;: \&quot;sample string 447339\&quot;,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447340,  &gt; &gt;   \&quot;DefectDocumentTypeDescription\&quot;: \&quot;sample string 447341\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447342\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.8899304Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447344,  &gt; &gt;   \&quot;FileArchiveOriginFileName\&quot;: \&quot;sample string 447345\&quot;,  &gt; &gt;   \&quot;FileArchiveDescription\&quot;: \&quot;sample string 447346\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447347,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447348,  &gt; &gt;   \&quot;Version\&quot;: 447349,  &gt; &gt;   \&quot;LanguageId\&quot;: 447350  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto The DTO with the initial data.
     * @param {module:Api.Resources/DefectpublicapivApi~postDefectPublicapiDocument20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.postDocumentV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling postDefectPublicapiDocument20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putDefectPublicapiDefect20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDefect20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type defect.
     * # Summary    &gt; Updates an existing item of type defect.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for DefectTypeDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectNo\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectNo &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Number of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Currency\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Currency &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerName1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerName1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name1 of responsible Business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerMatchCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerMatchCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Match code of responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFirstName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFirstName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. First name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFamilyName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFamilyName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Family name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of response clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. description of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 446463,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446464\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446465\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446466,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446468,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446470,  &gt; &gt;   \&quot;GroupId\&quot;: 446473,  &gt; &gt;   \&quot;DefectId\&quot;: 446475,  &gt; &gt;   \&quot;ProjectId\&quot;: 446478,  &gt; &gt;   \&quot;CompanyId\&quot;: 446481,  &gt; &gt;   \&quot;LocationId\&quot;: 446482,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446485,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446488,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446491,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446493,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446495,  &gt; &gt;   \&quot;ActivityId\&quot;: 446498,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446501,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446507,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446510.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446511,  &gt; &gt;   \&quot;ClerkId\&quot;: 446513,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446516,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446518,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446521\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446522,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446525,  &gt; &gt;   \&quot;ContactId\&quot;: 446527,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446528,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446532,  &gt; &gt;   \&quot;MarkerId\&quot;: 446533,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446534,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 446536,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.671174Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 446544\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 446545\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 446546\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 446547\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 446548\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 446551,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 446552,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 446554.0  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 446556,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446557\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446558\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446559,  &gt; &gt;   \&quot;StatusDescription\&quot;: \&quot;sample string 446560\&quot;,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446561,  &gt; &gt;   \&quot;DefectTypeDescription\&quot;: \&quot;sample string 446562\&quot;,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446563,  &gt; &gt;   \&quot;PrcStructureCode\&quot;: \&quot;sample string 446564\&quot;,  &gt; &gt;   \&quot;PrcStructureDescription\&quot;: \&quot;sample string 446565\&quot;,  &gt; &gt;   \&quot;GroupId\&quot;: 446566,  &gt; &gt;   \&quot;GroupDescription\&quot;: \&quot;sample string 446567\&quot;,  &gt; &gt;   \&quot;DefectId\&quot;: 446568,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 446569\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 446570\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 446571,  &gt; &gt;   \&quot;PrjProjectNo\&quot;: \&quot;sample string 446572\&quot;,  &gt; &gt;   \&quot;PrjProjectName\&quot;: \&quot;sample string 446573\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 446574,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 446575,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 446576\&quot;,  &gt; &gt;   \&quot;LocationDescription\&quot;: \&quot;sample string 446577\&quot;,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446578,  &gt; &gt;   \&quot;ConHeaderCode\&quot;: \&quot;sample string 446579\&quot;,  &gt; &gt;   \&quot;ConHeaderDescription\&quot;: \&quot;sample string 446580\&quot;,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446581,  &gt; &gt;   \&quot;OrdHeaderCode\&quot;: \&quot;sample string 446582\&quot;,  &gt; &gt;   \&quot;OrdHeaderDescription\&quot;: \&quot;sample string 446583\&quot;,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446584,  &gt; &gt;   \&quot;DefectPriorityDescription\&quot;: \&quot;sample string 446585\&quot;,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446586,  &gt; &gt;   \&quot;DefectSeverityDescription\&quot;: \&quot;sample string 446587\&quot;,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446588,  &gt; &gt;   \&quot;ScheduleCode\&quot;: \&quot;sample string 446589\&quot;,  &gt; &gt;   \&quot;ScheduleDescription\&quot;: \&quot;sample string 446590\&quot;,  &gt; &gt;   \&quot;ActivityId\&quot;: 446591,  &gt; &gt;   \&quot;ActivityCode\&quot;: \&quot;sample string 446592\&quot;,  &gt; &gt;   \&quot;ActivityDescription\&quot;: \&quot;sample string 446593\&quot;,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446594,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 446595\&quot;,  &gt; &gt;   \&quot;ControllingUnitDescription\&quot;: \&quot;sample string 446596\&quot;,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446600,  &gt; &gt;   \&quot;WarrantyStatusDescription\&quot;: \&quot;sample string 446601\&quot;,  &gt; &gt;   \&quot;Currency\&quot;: \&quot;sample string 446602\&quot;,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446603.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446604,  &gt; &gt;   \&quot;CurrencyDescription\&quot;: \&quot;sample string 446605\&quot;,  &gt; &gt;   \&quot;ClerkId\&quot;: 446606,  &gt; &gt;   \&quot;ClerkCode\&quot;: \&quot;sample string 446607\&quot;,  &gt; &gt;   \&quot;ClerkDescription\&quot;: \&quot;sample string 446608\&quot;,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446609,  &gt; &gt;   \&quot;RaisedbyDescription\&quot;: \&quot;sample string 446610\&quot;,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446611,  &gt; &gt;   \&quot;BusinesspartnerName1\&quot;: \&quot;sample string 446612\&quot;,  &gt; &gt;   \&quot;BusinesspartnerMatchCode\&quot;: \&quot;sample string 446613\&quot;,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446614\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446615,  &gt; &gt;   \&quot;ContactFirstName\&quot;: \&quot;sample string 446616\&quot;,  &gt; &gt;   \&quot;ContactFamilyName\&quot;: \&quot;sample string 446617\&quot;,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446618,  &gt; &gt;   \&quot;SubsidiaryDescription\&quot;: \&quot;sample string 446619\&quot;,  &gt; &gt;   \&quot;ContactId\&quot;: 446620,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446621,  &gt; &gt;   \&quot;ClerkRespCode\&quot;: \&quot;sample string 446622\&quot;,  &gt; &gt;   \&quot;ClerkRespDescription\&quot;: \&quot;sample string 446623\&quot;,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446625,  &gt; &gt;   \&quot;MarkerId\&quot;: 446626,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446627,  &gt; &gt;   \&quot;ObjectSetDescription\&quot;: \&quot;sample string 446628\&quot;,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 446629,  &gt; &gt;   \&quot;PesHeaderCode\&quot;: \&quot;sample string 446630\&quot;,  &gt; &gt;   \&quot;PesHeaderDescription\&quot;: \&quot;sample string 446631\&quot;,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.702426Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 446637\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 446638\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 446639\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 446640\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 446641\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 446642,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 446643,  &gt; &gt;   \&quot;Version\&quot;: 446644,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 446645,  &gt; &gt;   \&quot;RubricCategoryDescription\&quot;: \&quot;sample string 446646\&quot;,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 446647.0,  &gt; &gt;   \&quot;LanguageId\&quot;: 446648  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto 
     * @param {module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDefect20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putDefectV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putDefectPublicapiDefect20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putDefectPublicapiDefect20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDefect20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type defect.
     * # Summary    &gt; Updates an existing item of type defect.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect, when create defect, If not filled the code, will auto generate the code using rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.StatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; StatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. There are no comments for DefectTypeDescription in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrcStructureDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrcStructureDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of procurement structure &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.GroupDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; GroupDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect group &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of the reference defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectNo\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectNo &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Number of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PrjProjectName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PrjProjectName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name of project &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of company &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of project location &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ConHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ConHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of procurement contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.OrdHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; OrdHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of sales contract &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectPriorityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectPriorityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect priority &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectSeverityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectSeverityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of defect severity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ScheduleDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ScheduleDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of schedule &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ActivityDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ActivityDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of activity &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of controlling unit &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateIssued\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateIssued &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; Date Issued &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateRequired\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateRequired &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Required &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DateFinished\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DateFinished &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date Finished &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.WarrantyStatusDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; WarrantyStatusDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of warranty status &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Currency\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Currency &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,3]. Currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateCost\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateCost &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Estimate Cost &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CurrencyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CurrencyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of currency &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of clerk who detected the defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RaisedbyDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RaisedbyDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of raised by &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BasBlobsId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BasBlobsId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of blob &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerName1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerName1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Name1 of responsible Business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerMatchCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerMatchCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Match code of responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Detail\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Detail &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Detail of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.BusinesspartnerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; BusinesspartnerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of  responsible business partner &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFirstName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFirstName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. First name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactFamilyName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactFamilyName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Family name of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.SubsidiaryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; SubsidiaryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible BP subsidiary &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ContactId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ContactId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible BP contact &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of response clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ClerkRespDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ClerkRespDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of responsible clerk &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsExternal\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsExternal &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; External Defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of 3d model &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MarkerId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MarkerId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of maker &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ObjectSetDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ObjectSetDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of object set &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.PesHeaderDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; PesHeaderDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of Pes &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate1 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate2 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate3 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate4 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDate5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDate5 &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; User date5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined1\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined1 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined1 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined2\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined2 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined2 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined3\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined3 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined3 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined4\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined4 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined4 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UserDefined5\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UserDefined5 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. User defined5 &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RubricCategoryDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RubricCategoryDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. description of rubric category &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.EstimateLaborHours\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; EstimateLaborHours &lt;/td&gt;&lt;td&gt; { Decimal? } &lt;/td&gt;&lt;td&gt; Labor hours of estimate &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 446929\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 446930\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 446931,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 446933,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 446935,  &gt; &gt;   \&quot;GroupId\&quot;: 446938,  &gt; &gt;   \&quot;DefectId\&quot;: 446940,  &gt; &gt;   \&quot;ProjectId\&quot;: 446943,  &gt; &gt;   \&quot;CompanyId\&quot;: 446946,  &gt; &gt;   \&quot;LocationId\&quot;: 446947,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 446950,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 446953,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 446956,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 446958,  &gt; &gt;   \&quot;ScheduleId\&quot;: 446960,  &gt; &gt;   \&quot;ActivityId\&quot;: 446963,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 446966,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 446972,  &gt; &gt;   \&quot;EstimateCost\&quot;: 446975.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 446976,  &gt; &gt;   \&quot;ClerkId\&quot;: 446978,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 446981,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 446983,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 446986\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 446987,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 446990,  &gt; &gt;   \&quot;ContactId\&quot;: 446992,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 446993,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 446997,  &gt; &gt;   \&quot;MarkerId\&quot;: 446998,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 446999,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 447001,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.7961773Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 447009\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 447010\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 447011\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 447012\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 447013\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 447016,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 447017,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 447019.0  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447021,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 447022\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447023\&quot;,  &gt; &gt;   \&quot;StatusId\&quot;: 447024,  &gt; &gt;   \&quot;StatusDescription\&quot;: \&quot;sample string 447025\&quot;,  &gt; &gt;   \&quot;DefectTypeId\&quot;: 447026,  &gt; &gt;   \&quot;DefectTypeDescription\&quot;: \&quot;sample string 447027\&quot;,  &gt; &gt;   \&quot;PrcStructureId\&quot;: 447028,  &gt; &gt;   \&quot;PrcStructureCode\&quot;: \&quot;sample string 447029\&quot;,  &gt; &gt;   \&quot;PrcStructureDescription\&quot;: \&quot;sample string 447030\&quot;,  &gt; &gt;   \&quot;GroupId\&quot;: 447031,  &gt; &gt;   \&quot;GroupDescription\&quot;: \&quot;sample string 447032\&quot;,  &gt; &gt;   \&quot;DefectId\&quot;: 447033,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447034\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447035\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 447036,  &gt; &gt;   \&quot;PrjProjectNo\&quot;: \&quot;sample string 447037\&quot;,  &gt; &gt;   \&quot;PrjProjectName\&quot;: \&quot;sample string 447038\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 447039,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 447040,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 447041\&quot;,  &gt; &gt;   \&quot;LocationDescription\&quot;: \&quot;sample string 447042\&quot;,  &gt; &gt;   \&quot;ConHeaderId\&quot;: 447043,  &gt; &gt;   \&quot;ConHeaderCode\&quot;: \&quot;sample string 447044\&quot;,  &gt; &gt;   \&quot;ConHeaderDescription\&quot;: \&quot;sample string 447045\&quot;,  &gt; &gt;   \&quot;OrdHeaderId\&quot;: 447046,  &gt; &gt;   \&quot;OrdHeaderCode\&quot;: \&quot;sample string 447047\&quot;,  &gt; &gt;   \&quot;OrdHeaderDescription\&quot;: \&quot;sample string 447048\&quot;,  &gt; &gt;   \&quot;DefectPriorityId\&quot;: 447049,  &gt; &gt;   \&quot;DefectPriorityDescription\&quot;: \&quot;sample string 447050\&quot;,  &gt; &gt;   \&quot;DefectSeverityId\&quot;: 447051,  &gt; &gt;   \&quot;DefectSeverityDescription\&quot;: \&quot;sample string 447052\&quot;,  &gt; &gt;   \&quot;ScheduleId\&quot;: 447053,  &gt; &gt;   \&quot;ScheduleCode\&quot;: \&quot;sample string 447054\&quot;,  &gt; &gt;   \&quot;ScheduleDescription\&quot;: \&quot;sample string 447055\&quot;,  &gt; &gt;   \&quot;ActivityId\&quot;: 447056,  &gt; &gt;   \&quot;ActivityCode\&quot;: \&quot;sample string 447057\&quot;,  &gt; &gt;   \&quot;ActivityDescription\&quot;: \&quot;sample string 447058\&quot;,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 447059,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 447060\&quot;,  &gt; &gt;   \&quot;ControllingUnitDescription\&quot;: \&quot;sample string 447061\&quot;,  &gt; &gt;   \&quot;DateIssued\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;DateRequired\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;DateFinished\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;WarrantyStatusId\&quot;: 447065,  &gt; &gt;   \&quot;WarrantyStatusDescription\&quot;: \&quot;sample string 447066\&quot;,  &gt; &gt;   \&quot;Currency\&quot;: \&quot;sample string 447067\&quot;,  &gt; &gt;   \&quot;EstimateCost\&quot;: 447068.0,  &gt; &gt;   \&quot;CurrencyId\&quot;: 447069,  &gt; &gt;   \&quot;CurrencyDescription\&quot;: \&quot;sample string 447070\&quot;,  &gt; &gt;   \&quot;ClerkId\&quot;: 447071,  &gt; &gt;   \&quot;ClerkCode\&quot;: \&quot;sample string 447072\&quot;,  &gt; &gt;   \&quot;ClerkDescription\&quot;: \&quot;sample string 447073\&quot;,  &gt; &gt;   \&quot;RaisedbyId\&quot;: 447074,  &gt; &gt;   \&quot;RaisedbyDescription\&quot;: \&quot;sample string 447075\&quot;,  &gt; &gt;   \&quot;BasBlobsId\&quot;: 447076,  &gt; &gt;   \&quot;BusinesspartnerName1\&quot;: \&quot;sample string 447077\&quot;,  &gt; &gt;   \&quot;BusinesspartnerMatchCode\&quot;: \&quot;sample string 447078\&quot;,  &gt; &gt;   \&quot;Detail\&quot;: \&quot;sample string 447079\&quot;,  &gt; &gt;   \&quot;BusinesspartnerId\&quot;: 447080,  &gt; &gt;   \&quot;ContactFirstName\&quot;: \&quot;sample string 447081\&quot;,  &gt; &gt;   \&quot;ContactFamilyName\&quot;: \&quot;sample string 447082\&quot;,  &gt; &gt;   \&quot;SubsidiaryId\&quot;: 447083,  &gt; &gt;   \&quot;SubsidiaryDescription\&quot;: \&quot;sample string 447084\&quot;,  &gt; &gt;   \&quot;ContactId\&quot;: 447085,  &gt; &gt;   \&quot;ClerkRespId\&quot;: 447086,  &gt; &gt;   \&quot;ClerkRespCode\&quot;: \&quot;sample string 447087\&quot;,  &gt; &gt;   \&quot;ClerkRespDescription\&quot;: \&quot;sample string 447088\&quot;,  &gt; &gt;   \&quot;IsExternal\&quot;: true,  &gt; &gt;   \&quot;ModelId\&quot;: 447090,  &gt; &gt;   \&quot;MarkerId\&quot;: 447091,  &gt; &gt;   \&quot;ObjectSetId\&quot;: 447092,  &gt; &gt;   \&quot;ObjectSetDescription\&quot;: \&quot;sample string 447093\&quot;,  &gt; &gt;   \&quot;PesHeaderId\&quot;: 447094,  &gt; &gt;   \&quot;PesHeaderCode\&quot;: \&quot;sample string 447095\&quot;,  &gt; &gt;   \&quot;PesHeaderDescription\&quot;: \&quot;sample string 447096\&quot;,  &gt; &gt;   \&quot;UserDate1\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;UserDate2\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;UserDate3\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;UserDate4\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;UserDate5\&quot;: \&quot;2020-05-22T06:20:39.8118023Z\&quot;,  &gt; &gt;   \&quot;UserDefined1\&quot;: \&quot;sample string 447102\&quot;,  &gt; &gt;   \&quot;UserDefined2\&quot;: \&quot;sample string 447103\&quot;,  &gt; &gt;   \&quot;UserDefined3\&quot;: \&quot;sample string 447104\&quot;,  &gt; &gt;   \&quot;UserDefined4\&quot;: \&quot;sample string 447105\&quot;,  &gt; &gt;   \&quot;UserDefined5\&quot;: \&quot;sample string 447106\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447107,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447108,  &gt; &gt;   \&quot;Version\&quot;: 447109,  &gt; &gt;   \&quot;RubricCategoryId\&quot;: 447110,  &gt; &gt;   \&quot;RubricCategoryDescription\&quot;: \&quot;sample string 447111\&quot;,  &gt; &gt;   \&quot;EstimateLaborHours\&quot;: 447112.0,  &gt; &gt;   \&quot;LanguageId\&quot;: 447113  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of the defect
     * @param {Object} dto 
     * @param {module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDefect20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putDefectidV20 = function(id, dto, callback) {
      var postBody = dto;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling putDefectPublicapiDefect20id";
      }

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putDefectPublicapiDefect20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/defect/2.0/{id}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putDefectPublicapiDocument20 operation.
     * @callback module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDocument20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type document.
     * # Summary    &gt; Updates an existing item of type document.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveOriginFileName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveOriginFileName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Origin file name &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447351,  &gt; &gt;   \&quot;DefectId\&quot;: 447352,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447355,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447357,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447359\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.8899304Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447361,  &gt; &gt;   \&quot;Version\&quot;: 447366  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447368,  &gt; &gt;   \&quot;DefectId\&quot;: 447369,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447370\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447371\&quot;,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447372,  &gt; &gt;   \&quot;DocumentTypeDescription\&quot;: \&quot;sample string 447373\&quot;,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447374,  &gt; &gt;   \&quot;DefectDocumentTypeDescription\&quot;: \&quot;sample string 447375\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447376\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.905554Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447378,  &gt; &gt;   \&quot;FileArchiveOriginFileName\&quot;: \&quot;sample string 447379\&quot;,  &gt; &gt;   \&quot;FileArchiveDescription\&quot;: \&quot;sample string 447380\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447381,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447382,  &gt; &gt;   \&quot;Version\&quot;: 447383,  &gt; &gt;   \&quot;LanguageId\&quot;: 447384  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto 
     * @param {module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDocument20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putDocumentV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putDefectPublicapiDocument20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putDefectPublicapiDocument20id operation.
     * @callback module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDocument20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type document.
     * # Summary    &gt; Updates an existing item of type document.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. Code of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; Id of defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DefectDocumentTypeDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DefectDocumentTypeDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. Description of the defect document type &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. Description of defect document &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.DocumentDate\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; DocumentDate &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; Date of document created &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; Id of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveOriginFileName\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveOriginFileName &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Origin file name &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.FileArchiveDescription\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; FileArchiveDescription &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,255]. Description of file archive &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for InsertedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedAt in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; There are no comments for UpdatedBy in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for Version in the schema. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; There are no comments for LanguageId in the schema. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;DefectId\&quot;: 447437,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447440,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447442,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447444\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.9211801Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447446,  &gt; &gt;   \&quot;Version\&quot;: 447451  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 447453,  &gt; &gt;   \&quot;DefectId\&quot;: 447454,  &gt; &gt;   \&quot;DefectCode\&quot;: \&quot;sample string 447455\&quot;,  &gt; &gt;   \&quot;DefectDescription\&quot;: \&quot;sample string 447456\&quot;,  &gt; &gt;   \&quot;DocumentTypeId\&quot;: 447457,  &gt; &gt;   \&quot;DocumentTypeDescription\&quot;: \&quot;sample string 447458\&quot;,  &gt; &gt;   \&quot;DefectDocumentTypeId\&quot;: 447459,  &gt; &gt;   \&quot;DefectDocumentTypeDescription\&quot;: \&quot;sample string 447460\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 447461\&quot;,  &gt; &gt;   \&quot;DocumentDate\&quot;: \&quot;2020-05-22T06:20:39.9368045Z\&quot;,  &gt; &gt;   \&quot;FileArchiveId\&quot;: 447463,  &gt; &gt;   \&quot;FileArchiveOriginFileName\&quot;: \&quot;sample string 447464\&quot;,  &gt; &gt;   \&quot;FileArchiveDescription\&quot;: \&quot;sample string 447465\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 447466,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 447467,  &gt; &gt;   \&quot;Version\&quot;: 447468,  &gt; &gt;   \&quot;LanguageId\&quot;: 447469  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id Id of defect document
     * @param {Object} dto 
     * @param {module:Api.Resources/DefectpublicapivApi~putDefectPublicapiDocument20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putDocumentidV20 = function(id, dto, callback) {
      var postBody = dto;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling putDefectPublicapiDocument20id";
      }

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putDefectPublicapiDocument20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/defect/publicapi/document/2.0/{id}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
