/**
 * iTWO 4.0 API
 * No descripton provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: v1
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.ITwo40Api) {
      root.ITwo40Api = {};
    }
    root.ITwo40Api.ModelpublicapivApi = factory(root.ITwo40Api.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * Modelpublicapiv service.
   * @module Api.Resources/ModelpublicapivApi
   * @version v1
   */

  /**
   * Constructs a new ModelpublicapivApi. 
   * @alias module:Api.Resources/ModelpublicapivApi
   * @class
   * @param {module:ApiClient} apiClient Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;


    /**
     * Callback function to receive the result of the deleteModelPublicapiModel20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiModel20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type model.
     * # Summary    &gt; Deletes an item of type model.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; projectCode             &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; companyCode             &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; code                    &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.id The ID that uniquely identifies the model in the iTWO 4.0 instance.
     * @param {String} opts.projectCode The code that uniquely identifies the project within its enclosing company.
     * @param {String} opts.companyCode The code that uniquely identifies the company in the iTWO 4.0 instance.
     * @param {String} opts.code The code that uniquely identifies the model within its enclosing project.
     * @param {module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiModel20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteModelV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'id': opts['id'],
        'projectCode': opts['projectCode'],
        'companyCode': opts['companyCode'],
        'code': opts['code']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0?id={id}&projectCode={projectCode}&companyCode={companyCode}&code={code}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteModelPublicapiModel20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiModel20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type model.
     * # Summary    &gt; Deletes an item of type model.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Integer} id The ID that uniquely identifies the model in the iTWO 4.0 instance.
     * @param {module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiModel20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteModelidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling deleteModelPublicapiModel20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0/{id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteModelPublicapiObject20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiObject20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type model object.
     * # Summary    &gt; Deletes an item of type model object.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; modelId                 &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.modelId The unique ID of the model.
     * @param {Integer} opts.id The unique ID of the object within its model.
     * @param {module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiObject20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteObjectV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'modelId': opts['modelId'],
        'id': opts['id']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0?modelId={modelId}&id={id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the deleteModelPublicapiObject20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiObject20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Deletes an item of type model object.
     * # Summary    &gt; Deletes an item of type model object.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; modelId                 &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; N/A&lt;/blockquote&gt;   
     * @param {Integer} modelId The unique ID of the model.
     * @param {Integer} id The unique ID of the object within its model.
     * @param {module:Api.Resources/ModelpublicapivApi~deleteModelPublicapiObject20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.deleteObjectidV20 = function(modelId, id, callback) {
      var postBody = null;

      // verify the required parameter 'modelId' is set
      if (modelId == undefined || modelId == null) {
        throw "Missing the required parameter 'modelId' when calling deleteModelPublicapiObject20id";
      }

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling deleteModelPublicapiObject20id";
      }


      var pathParams = {
        'modelId': modelId,
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0/{modelId}/{id}', 'DELETE',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getModelPublicapiModel20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~getModelPublicapiModel20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns items of type model as specified by OData arguments.
     * # Summary    &gt; Returns items of type model as specified by OData arguments.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;This endpoint allows for retrieving items based on a subset of the parameters specified by the [OData URL conventions](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part2-url-conventions.html). The following parameters are supported:&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $skip                   &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the number of items from the result set to skip before the first item to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $top                    &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the maximum number of items to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $select                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $orderBy                &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to order the result set by. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $filter                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Any filter restrictions for the result set. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Array&amp;lt;Object&amp;gt; } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; [  &gt; &gt;   {  &gt; &gt;     \&quot;Id\&quot;: 462470,  &gt; &gt;     \&quot;ModelRootId\&quot;: 462471,  &gt; &gt;     \&quot;ModelRootCode\&quot;: \&quot;sample string 462472\&quot;,  &gt; &gt;     \&quot;Description\&quot;: \&quot;sample string 462473\&quot;,  &gt; &gt;     \&quot;ProjectId\&quot;: 462474,  &gt; &gt;     \&quot;ProjectCode\&quot;: \&quot;sample string 462475\&quot;,  &gt; &gt;     \&quot;CompanyId\&quot;: 462476,  &gt; &gt;     \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;     \&quot;Code\&quot;: \&quot;sample string 462477\&quot;,  &gt; &gt;     \&quot;IsComposite\&quot;: true,  &gt; &gt;     \&quot;IsImported\&quot;: true,  &gt; &gt;     \&quot;RevisionId\&quot;: 462480,  &gt; &gt;     \&quot;ModelVersion\&quot;: 462481,  &gt; &gt;     \&quot;ModelRevision\&quot;: \&quot;sample string 462482\&quot;,  &gt; &gt;     \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;InsertedBy\&quot;: 462483,  &gt; &gt;     \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;UpdatedBy\&quot;: 462484,  &gt; &gt;     \&quot;Version\&quot;: 462485,  &gt; &gt;     \&quot;LanguageId\&quot;: 462486  &gt; &gt;   }  &gt; &gt; ]  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.skip Indicates the number of items from the result set to skip before the first item to return.
     * @param {Integer} opts.top Indicates the maximum number of items to return.
     * @param {String} opts.select A comma-separated list of one or more properties of the result object to return.
     * @param {String} opts.orderBy A comma-separated list of one or more properties of the result object to order the result set by.
     * @param {String} opts.filter Any filter restrictions for the result set.
     * @param {module:Api.Resources/ModelpublicapivApi~getModelPublicapiModel20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getModelV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        '$skip': opts['skip'],
        '$top': opts['top'],
        '$select': opts['select'],
        '$orderBy': opts['orderBy'],
        '$filter': opts['filter']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getModelPublicapiModel20Lastchanged operation.
     * @callback module:Api.Resources/ModelpublicapivApi~getModelPublicapiModel20LastchangedCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type model.
     * # Summary    &gt; Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type model.  # Description  &gt; No parameters  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; \&quot;2020-05-22T06:16:28.5596148Z\&quot;  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {module:Api.Resources/ModelpublicapivApi~getModelPublicapiModel20LastchangedCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getModelLastchangedV20 = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0/lastchanged', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getModelPublicapiModel20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~getModelPublicapiModel20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Retrieves an item of type model based on its ID.
     * # Summary    &gt; Retrieves an item of type model based on its ID.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462555,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462556,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462557\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462558\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462559,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462560\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462561,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462562\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462565,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462566,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462567\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462568,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462569,  &gt; &gt;   \&quot;Version\&quot;: 462570,  &gt; &gt;   \&quot;LanguageId\&quot;: 462571  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id The ID that uniquely identifies the model in the iTWO 4.0 instance.
     * @param {module:Api.Resources/ModelpublicapivApi~getModelPublicapiModel20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getModelidV20 = function(id, callback) {
      var postBody = null;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling getModelPublicapiModel20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getModelPublicapiObject20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~getModelPublicapiObject20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns items of type model object as specified by OData arguments.
     * # Summary    &gt; Returns items of type model object as specified by OData arguments.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;This endpoint allows for retrieving items based on a subset of the parameters specified by the [OData URL conventions](http://docs.oasis-open.org/odata/odata/v4.01/odata-v4.01-part2-url-conventions.html). The following parameters are supported:&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $skip                   &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the number of items from the result set to skip before the first item to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $top                    &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Indicates the maximum number of items to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $select                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to return. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $orderBy                &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A comma-separated list of one or more properties of the result object to order the result set by. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; $filter                 &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Any filter restrictions for the result set. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Array&amp;lt;Object&amp;gt; } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; [  &gt; &gt;   {  &gt; &gt;     \&quot;ModelId\&quot;: 462242,  &gt; &gt;     \&quot;Id\&quot;: 462243,  &gt; &gt;     \&quot;ModelCode\&quot;: \&quot;sample string 462244\&quot;,  &gt; &gt;     \&quot;ProjectId\&quot;: 462245,  &gt; &gt;     \&quot;ProjectCode\&quot;: \&quot;sample string 462246\&quot;,  &gt; &gt;     \&quot;CompanyId\&quot;: 462247,  &gt; &gt;     \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;     \&quot;Description\&quot;: \&quot;sample string 462248\&quot;,  &gt; &gt;     \&quot;MeshId\&quot;: 462249,  &gt; &gt;     \&quot;UniqueId\&quot;: \&quot;sample string 462250\&quot;,  &gt; &gt;     \&quot;IsNegative\&quot;: true,  &gt; &gt;     \&quot;CadIdInt\&quot;: 462252,  &gt; &gt;     \&quot;ParentObjectId\&quot;: 462253,  &gt; &gt;     \&quot;IsComposite\&quot;: true,  &gt; &gt;     \&quot;ControllingUnitId\&quot;: 462255,  &gt; &gt;     \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462256\&quot;,  &gt; &gt;     \&quot;LocationId\&quot;: 462257,  &gt; &gt;     \&quot;LocationCode\&quot;: \&quot;sample string 462258\&quot;,  &gt; &gt;     \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;InsertedBy\&quot;: 462259,  &gt; &gt;     \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;     \&quot;UpdatedBy\&quot;: 462260,  &gt; &gt;     \&quot;Version\&quot;: 462261,  &gt; &gt;     \&quot;LanguageId\&quot;: 462262  &gt; &gt;   }  &gt; &gt; ]  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} opts Optional parameters
     * @param {Integer} opts.skip Indicates the number of items from the result set to skip before the first item to return.
     * @param {Integer} opts.top Indicates the maximum number of items to return.
     * @param {String} opts.select A comma-separated list of one or more properties of the result object to return.
     * @param {String} opts.orderBy A comma-separated list of one or more properties of the result object to order the result set by.
     * @param {String} opts.filter Any filter restrictions for the result set.
     * @param {module:Api.Resources/ModelpublicapivApi~getModelPublicapiObject20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getObjectV20 = function(opts, callback) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        '$skip': opts['skip'],
        '$top': opts['top'],
        '$select': opts['select'],
        '$orderBy': opts['orderBy'],
        '$filter': opts['filter']
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getModelPublicapiObject20Lastchanged operation.
     * @callback module:Api.Resources/ModelpublicapivApi~getModelPublicapiObject20LastchangedCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type model object.
     * # Summary    &gt; Returns the latest datetime (UTC) of one of the last change properties (inserted, updated) for items of type model object.  # Description  &gt; No parameters  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; \&quot;2020-05-22T06:16:28.2471169Z\&quot;  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {module:Api.Resources/ModelpublicapivApi~getModelPublicapiObject20LastchangedCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getObjectLastchangedV20 = function(callback) {
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0/lastchanged', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the getModelPublicapiObject20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~getModelPublicapiObject20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Retrieves an item of type model object based on its ID.
     * # Summary    &gt; Retrieves an item of type model object based on its ID.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; modelId                 &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt; id                      &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462347,  &gt; &gt;   \&quot;Id\&quot;: 462348,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462349\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462350,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462351\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462352,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462353\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462354,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462355\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462357,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462358,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462360,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462361\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462362,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462363\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462364,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462365,  &gt; &gt;   \&quot;Version\&quot;: 462366,  &gt; &gt;   \&quot;LanguageId\&quot;: 462367  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} modelId The unique ID of the model.
     * @param {Integer} id The unique ID of the object within its model.
     * @param {module:Api.Resources/ModelpublicapivApi~getModelPublicapiObject20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.getObjectidV20 = function(modelId, id, callback) {
      var postBody = null;

      // verify the required parameter 'modelId' is set
      if (modelId == undefined || modelId == null) {
        throw "Missing the required parameter 'modelId' when calling getModelPublicapiObject20id";
      }

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling getModelPublicapiObject20id";
      }


      var pathParams = {
        'modelId': modelId,
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0/{modelId}/{id}', 'GET',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchModelPublicapiModel20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~patchModelPublicapiModel20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type model.
     * # Summary    &gt; Patches an existing item of type model.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462436,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462437,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462438\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462439\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462440,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462441\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462442,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462443\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462446,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462447,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462448\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462451,  &gt; &gt;   \&quot;LanguageId\&quot;: 462452  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462453,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462454,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462455\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462456\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462457,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462458\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462459,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462460\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462463,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462464,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462465\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462466,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462467,  &gt; &gt;   \&quot;Version\&quot;: 462468,  &gt; &gt;   \&quot;LanguageId\&quot;: 462469  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} data 
     * @param {module:Api.Resources/ModelpublicapivApi~patchModelPublicapiModel20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchModelV20 = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchModelPublicapiModel20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchModelPublicapiModel20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~patchModelPublicapiModel20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type model.
     * # Summary    &gt; Patches an existing item of type model.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelRootId\&quot;: 462522,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462523\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462524\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462525,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462526\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462527,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462528\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462531,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462532,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462533\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462536  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462538,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462539,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462540\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462541\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462542,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462543\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462544,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462545\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462548,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462549,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462550\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462551,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462552,  &gt; &gt;   \&quot;Version\&quot;: 462553,  &gt; &gt;   \&quot;LanguageId\&quot;: 462554  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id The ID that uniquely identifies the model in the iTWO 4.0 instance.
     * @param {Object} data 
     * @param {module:Api.Resources/ModelpublicapivApi~patchModelPublicapiModel20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchModelidV20 = function(id, data, callback) {
      var postBody = data;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling patchModelPublicapiModel20id";
      }

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchModelPublicapiModel20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0/{id}', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchModelPublicapiObject20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~patchModelPublicapiObject20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type model object.
     * # Summary    &gt; Patches an existing item of type model object.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462200,  &gt; &gt;   \&quot;Id\&quot;: 462201,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462202\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462203,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462204\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462205,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462206\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462207,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462208\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462210,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462211,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462213,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462214\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462215,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462216\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462219,  &gt; &gt;   \&quot;LanguageId\&quot;: 462220  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462221,  &gt; &gt;   \&quot;Id\&quot;: 462222,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462223\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462224,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462225\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462226,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462227\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462228,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462229\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462231,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462232,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462234,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462235\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462236,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462237\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462238,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462239,  &gt; &gt;   \&quot;Version\&quot;: 462240,  &gt; &gt;   \&quot;LanguageId\&quot;: 462241  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} data 
     * @param {module:Api.Resources/ModelpublicapivApi~patchModelPublicapiObject20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchObjectV20 = function(data, callback) {
      var postBody = data;

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchModelPublicapiObject20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the patchModelPublicapiObject20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~patchModelPublicapiObject20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Patches an existing item of type model object.
     * # Summary    &gt; Patches an existing item of type model object.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; data &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (data) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462307\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462308,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462309\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462310,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462311\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462312,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462313\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462315,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462316,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462318,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462319\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462320,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462321\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462324  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462326,  &gt; &gt;   \&quot;Id\&quot;: 462327,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462328\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462329,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462330\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462331,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462332\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462333,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462334\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462336,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462337,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462339,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462340\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462341,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462342\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462343,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462344,  &gt; &gt;   \&quot;Version\&quot;: 462345,  &gt; &gt;   \&quot;LanguageId\&quot;: 462346  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} modelId The unique ID of the model.
     * @param {Integer} id The unique ID of the object within its model.
     * @param {Object} data 
     * @param {module:Api.Resources/ModelpublicapivApi~patchModelPublicapiObject20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.patchObjectidV20 = function(modelId, id, data, callback) {
      var postBody = data;

      // verify the required parameter 'modelId' is set
      if (modelId == undefined || modelId == null) {
        throw "Missing the required parameter 'modelId' when calling patchModelPublicapiObject20id";
      }

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling patchModelPublicapiObject20id";
      }

      // verify the required parameter 'data' is set
      if (data == undefined || data == null) {
        throw "Missing the required parameter 'data' when calling patchModelPublicapiObject20id";
      }


      var pathParams = {
        'modelId': modelId,
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0/{modelId}/{id}', 'PATCH',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the postModelPublicapiModel20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~postModelPublicapiModel20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Creates a new item of type model.
     * # Summary    &gt; Creates a new item of type model.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } - The DTO with the initial data.&lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelRootId\&quot;: 462369,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462370\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462371\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462372,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462373\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462374,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462375\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462378,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462379,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462380\&quot;  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462385,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462386,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462387\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462388\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462389,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462390\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462391,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462392\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462395,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462396,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462397\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462398,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462399,  &gt; &gt;   \&quot;Version\&quot;: 462400,  &gt; &gt;   \&quot;LanguageId\&quot;: 462401  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto The DTO with the initial data.
     * @param {module:Api.Resources/ModelpublicapivApi~postModelPublicapiModel20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.postModelV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling postModelPublicapiModel20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the postModelPublicapiObject20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~postModelPublicapiObject20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Creates a new item of type model object.
     * # Summary    &gt; Creates a new item of type model object.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } - The DTO with the initial data.&lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462116,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462118\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462119,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462120\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462121,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462122\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462123,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462124\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462126,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462127,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462129,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462130\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462131,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462132\&quot;  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462137,  &gt; &gt;   \&quot;Id\&quot;: 462138,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462139\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462140,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462141\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462142,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462143\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462144,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462145\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462147,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462148,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462150,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462151\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462152,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462153\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462154,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462155,  &gt; &gt;   \&quot;Version\&quot;: 462156,  &gt; &gt;   \&quot;LanguageId\&quot;: 462157  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto The DTO with the initial data.
     * @param {module:Api.Resources/ModelpublicapivApi~postModelPublicapiObject20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.postObjectV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling postModelPublicapiObject20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0', 'POST',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putModelPublicapiModel20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~putModelPublicapiModel20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type model.
     * # Summary    &gt; Updates an existing item of type model.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462402,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462403,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462404\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462405\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462406,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462407\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462408,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462409\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462412,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462413,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462414\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462417  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462419,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462420,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462421\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462422\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462423,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462424\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462425,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462426\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462429,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462430,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462431\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462432,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462433,  &gt; &gt;   \&quot;Version\&quot;: 462434,  &gt; &gt;   \&quot;LanguageId\&quot;: 462435  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto 
     * @param {module:Api.Resources/ModelpublicapivApi~putModelPublicapiModel20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putModelV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putModelPublicapiModel20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putModelPublicapiModel20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~putModelPublicapiModel20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type model.
     * # Summary    &gt; Updates an existing item of type model.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the model in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; If the current model is derived from another model, the ID that uniquely identifies the first version of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRootCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRootCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. If the current model is derived from another model, the code that uniquely identifies the first version of the model in the project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Code\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Code &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the model is a composite model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsImported\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsImported &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether data for the model has been completely imported. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.RevisionId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; RevisionId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; If the model belongs to a family of derived models, unambiguously orders the model in the family. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelVersion\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelVersion &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A user-defined version identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelRevision\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelRevision &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A user-defined revision-identifier for the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelRootId\&quot;: 462488,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462489\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462490\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462491,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462492\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462493,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462494\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462497,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462498,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462499\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462502  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;Id\&quot;: 462504,  &gt; &gt;   \&quot;ModelRootId\&quot;: 462505,  &gt; &gt;   \&quot;ModelRootCode\&quot;: \&quot;sample string 462506\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462507\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462508,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462509\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462510,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Code\&quot;: \&quot;sample string 462511\&quot;,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;IsImported\&quot;: true,  &gt; &gt;   \&quot;RevisionId\&quot;: 462514,  &gt; &gt;   \&quot;ModelVersion\&quot;: 462515,  &gt; &gt;   \&quot;ModelRevision\&quot;: \&quot;sample string 462516\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462517,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462518,  &gt; &gt;   \&quot;Version\&quot;: 462519,  &gt; &gt;   \&quot;LanguageId\&quot;: 462520  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} id The ID that uniquely identifies the model in the iTWO 4.0 instance.
     * @param {Object} dto 
     * @param {module:Api.Resources/ModelpublicapivApi~putModelPublicapiModel20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putModelidV20 = function(id, dto, callback) {
      var postBody = dto;

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling putModelPublicapiModel20id";
      }

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putModelPublicapiModel20id";
      }


      var pathParams = {
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/model/2.0/{id}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putModelPublicapiObject20 operation.
     * @callback module:Api.Resources/ModelpublicapivApi~putModelPublicapiObject20Callback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type model object.
     * # Summary    &gt; Updates an existing item of type model object.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462158,  &gt; &gt;   \&quot;Id\&quot;: 462159,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462160\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462161,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462162\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462163,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462164\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462165,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462166\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462168,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462169,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462171,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462172\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462173,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462174\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462177  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462179,  &gt; &gt;   \&quot;Id\&quot;: 462180,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462181\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462182,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462183\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462184,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462185\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462186,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462187\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462189,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462190,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462192,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462193\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462194,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462195\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462196,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462197,  &gt; &gt;   \&quot;Version\&quot;: 462198,  &gt; &gt;   \&quot;LanguageId\&quot;: 462199  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Object} dto 
     * @param {module:Api.Resources/ModelpublicapivApi~putModelPublicapiObject20Callback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putObjectV20 = function(dto, callback) {
      var postBody = dto;

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putModelPublicapiObject20";
      }


      var pathParams = {
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }

    /**
     * Callback function to receive the result of the putModelPublicapiObject20id operation.
     * @callback module:Api.Resources/ModelpublicapivApi~putModelPublicapiObject20idCallback
     * @param {String} error Error message, if any.
     * @param data This operation does not return a value.
     * @param {String} response The complete HTTP response.
     */

    /**
     * Updates an existing item of type model object.
     * # Summary    &gt; Updates an existing item of type model object.  # Description  &gt; In the following, request and response are described in detail.  &gt; &lt;h4&gt; &lt;strong&gt; Request Parameters &lt;/strong&gt; &lt;/h4&gt;&lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; dto &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Optional &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; &lt;em&gt;Optional&lt;/em&gt; &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot; ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; &lt;strong&gt;Required&lt;/strong&gt; &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt; &lt;h4&gt; &lt;strong&gt; Return &lt;/strong&gt; &lt;/h4&gt; &lt;blockquote&gt; &lt;h4&gt; &lt;strong&gt; response &lt;/strong&gt;  - { Object } &lt;/h4&gt;&lt;table&gt;&lt;tr&gt;&lt;th&gt; Parameter &lt;/th&gt;&lt;th&gt; Type &lt;/th&gt;&lt;th&gt; Description &lt;/th&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Id\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Id &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The unique ID of the object within its model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ModelCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ModelCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the model within its enclosing project. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the project in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ProjectCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ProjectCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the project within its enclosing company. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The ID that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CompanyCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CompanyCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The code that uniquely identifies the company in the iTWO 4.0 instance. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Description\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Description &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,252]. A human-readable name of the object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.MeshId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; MeshId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the 3D mesh, if the object is linked to 3D geometry in the scene. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UniqueId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UniqueId &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,2000]. May contain an identifying string of characters that is likely to be unique across several models. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsNegative\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsNegative &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; If true, this object is an opening in another positive object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.CadIdInt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; CadIdInt &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; A numerical ID of the object that was used in the CAD system the model originated from. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ParentObjectId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ParentObjectId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The ID of the parent object. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.IsComposite\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; IsComposite &lt;/td&gt;&lt;td&gt; { Boolean } &lt;/td&gt;&lt;td&gt; Indicates whether the object is the root of a composite subtree in the model. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.ControllingUnitCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; ControllingUnitCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked controlling unit. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationId &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The unique ID of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LocationCode\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LocationCode &lt;/td&gt;&lt;td&gt; { String } &lt;/td&gt;&lt;td&gt; Length:[0,16]. The identifying code of a linked location. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedAt &lt;/td&gt;&lt;td&gt; { DateTime } &lt;/td&gt;&lt;td&gt; The date at which the record was created. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.InsertedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; InsertedBy &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The user who created the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedAt\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedAt &lt;/td&gt;&lt;td&gt; { DateTime? } &lt;/td&gt;&lt;td&gt; The date at which the record was updated the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.UpdatedBy\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; UpdatedBy &lt;/td&gt;&lt;td&gt; { Int32? } &lt;/td&gt;&lt;td&gt; The user who updated the record the last time. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.Version\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; Version &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The version of the record. &lt;/td&gt;&lt;/tr&gt;&lt;tr name&#x3D;\&quot;.LanguageId\&quot;  ref&#x3D;\&quot;\&quot; level&#x3D;\&quot;0\&quot; collapse&#x3D;\&quot;false\&quot;  class&#x3D;\&quot;ref- level-0 collapse-false \&quot;&gt;&lt;td&gt; LanguageId &lt;/td&gt;&lt;td&gt; { Int32 } &lt;/td&gt;&lt;td&gt; The language of the record. &lt;/td&gt;&lt;/tr&gt; &lt;/table&gt; &lt;/blockquote&gt;  &gt;   &gt; &gt; #### **Example (dto) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462265\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462266,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462267\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462268,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462269\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462270,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462271\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462273,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462274,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462276,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462277\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462278,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462279\&quot;,  &gt; &gt;   \&quot;Version\&quot;: 462282  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  &gt;   &gt; &gt; #### **Example (response) - Auto Generated**  &gt; &gt; &#x60;&#x60;&#x60; json  &gt; &gt; {  &gt; &gt;   \&quot;ModelId\&quot;: 462284,  &gt; &gt;   \&quot;Id\&quot;: 462285,  &gt; &gt;   \&quot;ModelCode\&quot;: \&quot;sample string 462286\&quot;,  &gt; &gt;   \&quot;ProjectId\&quot;: 462287,  &gt; &gt;   \&quot;ProjectCode\&quot;: \&quot;sample string 462288\&quot;,  &gt; &gt;   \&quot;CompanyId\&quot;: 462289,  &gt; &gt;   \&quot;CompanyCode\&quot;: \&quot;904\&quot;,  &gt; &gt;   \&quot;Description\&quot;: \&quot;sample string 462290\&quot;,  &gt; &gt;   \&quot;MeshId\&quot;: 462291,  &gt; &gt;   \&quot;UniqueId\&quot;: \&quot;sample string 462292\&quot;,  &gt; &gt;   \&quot;IsNegative\&quot;: true,  &gt; &gt;   \&quot;CadIdInt\&quot;: 462294,  &gt; &gt;   \&quot;ParentObjectId\&quot;: 462295,  &gt; &gt;   \&quot;IsComposite\&quot;: true,  &gt; &gt;   \&quot;ControllingUnitId\&quot;: 462297,  &gt; &gt;   \&quot;ControllingUnitCode\&quot;: \&quot;sample string 462298\&quot;,  &gt; &gt;   \&quot;LocationId\&quot;: 462299,  &gt; &gt;   \&quot;LocationCode\&quot;: \&quot;sample string 462300\&quot;,  &gt; &gt;   \&quot;InsertedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;InsertedBy\&quot;: 462301,  &gt; &gt;   \&quot;UpdatedAt\&quot;: \&quot;2020-05-22T00:00:00Z\&quot;,  &gt; &gt;   \&quot;UpdatedBy\&quot;: 462302,  &gt; &gt;   \&quot;Version\&quot;: 462303,  &gt; &gt;   \&quot;LanguageId\&quot;: 462304  &gt; &gt; }  &gt; &gt; &#x60;&#x60;&#x60;  
     * @param {Integer} modelId The unique ID of the model.
     * @param {Integer} id The unique ID of the object within its model.
     * @param {Object} dto 
     * @param {module:Api.Resources/ModelpublicapivApi~putModelPublicapiObject20idCallback} callback The callback function, accepting three arguments: error, data, response
     */
    this.putObjectidV20 = function(modelId, id, dto, callback) {
      var postBody = dto;

      // verify the required parameter 'modelId' is set
      if (modelId == undefined || modelId == null) {
        throw "Missing the required parameter 'modelId' when calling putModelPublicapiObject20id";
      }

      // verify the required parameter 'id' is set
      if (id == undefined || id == null) {
        throw "Missing the required parameter 'id' when calling putModelPublicapiObject20id";
      }

      // verify the required parameter 'dto' is set
      if (dto == undefined || dto == null) {
        throw "Missing the required parameter 'dto' when calling putModelPublicapiObject20id";
      }


      var pathParams = {
        'modelId': modelId,
        'id': id
      };
      var queryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = ['application/json', 'text/json'];
      var accepts = ['application/json', 'text/json'];
      var returnType = null;

      return this.apiClient.callApi(
        '/model/publicapi/object/2.0/{modelId}/{id}', 'PUT',
        pathParams, queryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType, callback
      );
    }
  };

  return exports;
}));
